<?php
// +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+

include'../assets/init.php';

include'admin_userSession.php';
require"cl_admin_account_tag.php";
?>

        <!-- App css -->
        <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="assets/css/app.min.css" rel="stylesheet" type="text/css" id="light-style" />
        <link href="assets/css/app-dark.min.css" rel="stylesheet" type="text/css" id="dark-style" />

		<script type="text/javascript" src="../js/jquery-3.3.1.min.js"></script>
    </head>

    <body class="loading">
		<!-- Pre-loader -->
        <div id="preloader">
            <div id="status">
                <div class="bouncing-loader"><div ></div><div ></div><div ></div></div>
            </div>
        </div>
        <!-- End Preloader-->

        <!-- Begin page -->
        <div class="wrapper">
             <!-- ========== Left Sidebar Start ========== -->
             <?php include'cl_admin_leftsidebar.php'; ?>
            <!-- Left Sidebar End -->

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">
                    <!-- Topbar Start -->
					<?php include'cl_admin_menu.php'; ?>
					<!-- end Topbar -->

                    <!-- Start Content-->
                    <div class="container-fluid">

                      <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="<?php echo $admin_base_url; ?>">Home</a></li>
                                            <li class="breadcrumb-item active">404</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">404 Error</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->

                        <div class="row justify-content-center">
                            <div class="col-lg-4">
                                <div class="text-center">
                                    <img src="assets/images/file-searching.svg" height="90" alt="File not found Image">

                                    <h1 class="text-error mt-4">404</h1>
                                    <h4 class="text-uppercase text-danger mt-3">Page Not Found</h4>
                                    <p class="text-muted mt-3">It's looking like you may have taken a wrong turn. Don't worry... it
                                        happens to the best of us. Here's a
                                        little tip that might help you get back on track.</p>

                                    <a class="btn btn-info mt-3" href="<?php echo $admin_base_url; ?>"><i class="mdi mdi-reply"></i> Return Home</a>
                                </div> <!-- end /.text-center-->
                            </div> <!-- end col-->
                        </div>
                        <!-- end row -->

                    </div> <!-- container -->

                </div> <!-- content -->

                <!-- Footer Start -->
				<?php include'cl_admin_footer.php'; ?>
                <!-- end Footer -->

            </div>

            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->


        </div>
        <!-- END wrapper -->


		<!-- Right Sidebar -->
		<?php include'cl_admin_rightsidebar.php'; ?>
        <!-- /Right-bar -->


        <!-- bundle -->
        <script src="assets/js/vendor.min.js"></script>
        <script src="assets/js/app.min.js"></script>

    </body>
</html>
