<?php
/* +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+*/

/*APP CORE SETTINGS*/

global $cl, $config;


if(file_exists("assets/connection/cl_config.php")){

	$cl['site_url']= $base_url;
	$config['site_url']= $base_url;
	$cl['config']['site_url']= $base_url;
	$cl['config']['admin_url']= $base_url.'administrator/';  //Replace new name with "admin" folder only if you change it
	$cl['config']['theme']='default';
	$cl['config']['theme_url']= $base_url.'themes/'.$cl['config']['theme'].'/';
	$cl['upload_folder']='uploads/'; // (please ensure you have the folder on your server)
	$cl['config']['upload_path']= $base_url.$cl['upload_folder'];
	$cl['config']['icon_loader']= $base_url.$cl['upload_folder'].'loader/';
	$cl['config']['slim_link'] = 1;
	$cl['htmlsecurity']['enabled'] = "Yes";
	$cl['config']['icon_url'] = $base_url.'themes/'.$cl['config']['theme'].'/';
	$cl['config']['account_theme_url']= $base_url.'themes/'.$cl['config']['theme'].'/layout/account/';
	$cl['admin_base_url']= $base_url.'admin/';

}



/*Website configuration */
$WebConfigData=get_website_config();

$purchase_code=$WebConfigData[0]->app_purchase_code; //Your purchase code here

$cl['config']['web_name']=$WebConfigData[0]->web_name;
$cl['config']['app_name']= str_replace(' ', '_', $WebConfigData[0]->web_name);

$cl['config']['web_title']=$WebConfigData[0]->web_title;

$cl['config']['web_about']=$WebConfigData[0]->web_about;

$cl['config']['web_tag']=$WebConfigData[0]->web_tag;

$cl['config']['site_email']=$WebConfigData[0]->web_support_email;

$cl['config']['site_contact_phone']=$WebConfigData[0]->web_phone;

$cl['config']['site_office_address']=$WebConfigData[0]->web_office_address;

$cl['config']['maintenance_mode']=$WebConfigData[0]->maintenance_settings;

$cl['config']['registration_verification']=$WebConfigData[0]->app_registration_verification;

define ("MAX_PhotoSize",$WebConfigData[0]->site_settings_maxsizephoto);

/*Website Social Handle*/
$cl['config']['social']['facebook']=$WebConfigData[0]->web_social_facebook; //facebook (Do not edit except you are sure of what you are doing)
$cl['config']['social']['twitter']=$WebConfigData[0]->web_social_twitter; //twitter (Do not edit except you are sure of what you are doing)
$cl['config']['social']['instagram']=$WebConfigData[0]->web_social_instagram; //instagram (Do not edit except you are sure of what you are doing)
$cl['config']['social']['flickr']=$WebConfigData[0]->web_social_flickr; //flickr (Do not edit except you are sure of what you are doing)
$cl['config']['social']['linkedin']=$WebConfigData[0]->web_social_linkedin; //linkedin (Do not edit except you are sure of what you are doing)
$cl['config']['social']['skype']=$WebConfigData[0]->web_social_skype; //skype (Do not edit except you are sure of what you are doing)
$cl['config']['social']['google_plus']=$WebConfigData[0]->web_social_google_plus; //google_plus (Do not edit except you are sure of what you are doing)
$cl['config']['social']['dribble']=$WebConfigData[0]->web_social_dribble; //dribble (Do not edit except you are sure of what you are doing)


/*SMTP CONFIGURATIONS */
$cl['config']['smtp']['smtp_setting_connection']=$WebConfigData[0]->smtp_setting_connection;
$cl['config']['smtp']['smtp_setting_username']=$WebConfigData[0]->smtp_setting_username;
$cl['config']['smtp']['smtp_setting_password']=$WebConfigData[0]->smtp_setting_password;
$cl['config']['smtp']['smtp_setting_host']=$WebConfigData[0]->smtp_setting_host;
$cl['config']['smtp']['smtp_setting_port']=$WebConfigData[0]->smtp_setting_port;
$cl['config']['smtp']['smtp_setting_from_email']=$WebConfigData[0]->smtp_setting_from_email;
$cl['config']['smtp']['smtp_setting_from_title']=$WebConfigData[0]->smtp_setting_from_title;

define("BASE_URL", $cl['site_url']);
define("API_BASE_URL", $cl['site_url']);
define("ADMIN_BASE_URL", $cl['admin_base_url']);
define("UPLOAD_PATH", "uploads/");

define("SMTP_CONNECTION", $cl['config']['smtp']['smtp_setting_connection']); //On "1" Off "0"
define("SMTP_USERNAME", $cl['config']['smtp']['smtp_setting_username']);
define("SMTP_PASSWORD", $cl['config']['smtp']['smtp_setting_password']);
define("SMTP_HOST", $cl['config']['smtp']['smtp_setting_host']); //Eg: tls://email-smtp.us-east-1.amazonaws.com
define("SMTP_PORT", $cl['config']['smtp']['smtp_setting_port']); // Eg; 465
define("SMTP_FROM_EMAIL", $cl['config']['smtp']['smtp_setting_from_email']); //Your website supprot email.
define("SMTP_FROM_TITLE", $cl['config']['smtp']['smtp_setting_from_title']); //eg: Support WebsiteName
define("SITE_NAME", $cl['config']['web_name']); //eg: Support WebsiteName
/*End SMTP*/

?>
