<?php
// +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+

// header('Content-Type: application/json');
// error_reporting('E_WARNING');

$host = "localhost";
$user = "";
$pass = "";
$port = "3306";
$database = "";
$sql = "";

function Cl_Secure($string, $br = true, $strip = 0) {
	$string = trim($string);
	$string = strip_tags($string);
	$string = htmlspecialchars($string, ENT_QUOTES);
	if ($br == true) {
		$string = str_replace('\r\n', " <br>", $string);
		$string = str_replace('\n\r', " <br>", $string);
		$string = str_replace('\r', " <br>", $string);
		$string = str_replace('\n', " <br>", $string);
	} else {
		$string = str_replace('\r\n', "", $string);
		$string = str_replace('\n\r', "", $string);
		$string = str_replace('\r', "", $string);
		$string = str_replace('\n', "", $string);
	}
	if ($strip == 1) {
		$string = stripslashes($string);
	}
	$string = str_replace('&amp;#', '&#', $string);

	return $string;
}


if (isset($_POST['host'])) {
    $host = $_POST['host'];
    $user = $_POST['username'];
    $pass = $_POST['password'];
    $port = $_POST['port'];
    $database = $_POST['database'];
    $purchase_code = Cl_Secure($_POST['purchase_code']);

    if ($purchase_code == "" ) {
        $error[] = "Please enter your purchase code.";
    }
	else if ($user == "" || $database == "") {
        $error[] = "Please fill in all fields as required.";
    }
    else {
        $sql = new mysqli("$host", "$user", "$pass", "$database", "$port");
        // if (mysqli_connect_errno($sql)) {}
        if ($sql -> connect_errno) {
            $error[] = "Mysqli error:". $sql -> connect_error;
        } else {
            $sql->set_charset('utf8');
            $check1 = 0;
            $check2 = 0;
            if (file_exists("adclass_storage.sql")){
                $check1 = 1;
            }
            if (file_exists("install/adclass_storage.sql")){
                $check2 = 1;
            }
            if($check1 == 0 && $check2 == 0){
                $error[] = "Missing database file adclass_storage.sql";
            } else {
                $queries = file_get_contents("adclass_storage.sql");
                $sql->multi_query($queries);
                while ($sql->next_result()) {
                    if (!$sql->more_results()){
                        break;
                    }
                }

                $mysqli = new mysqli("$host", "$user", "$pass", "$database");

                $mysqli->query('update cl_config set app_purchase_code = "'.$purchase_code.'"');


                $url = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://".$_SERVER[HTTP_HOST].$_SERVER[REQUEST_URI];
                $url = str_replace("install/db_schema.php", '', $url);
                $config = file_get_contents("config.tmp");
                $config = str_replace("%11", $host, $config);
                $config = str_replace("%12", $database, $config);
                $config = str_replace("%13", $user, $config);
                $config = str_replace("%14", $pass, $config);
                $config = str_replace("%15", $url, $config);
                $put = file_put_contents("../assets/connection/cl_config.php", $config);
                if ($put === false) {
                    $error[] = "Failed to write to config.php file in parent directory.";
                }
                else {
                    $sql->close();
                    $message='Database Successfully Installed';
                    $data  = array(
                      'status' => 200,
                      'message' => $message
                    );
                }

            }
        }
    }
    header("Content-type: application/json");
    if (isset($error)) {
        echo json_encode(array(
            'errors' => $error
        ));
    } else {
        echo json_encode($data);
    }
    exit();

}
