<?php
// +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+

require_once('../assets/connection/cl_config.php');

$mysqli = new mysqli("$db_host", "$db_username", "$db_password","$db_name");
//Make connection
// if (mysqli_connect_errno($mysqli)) {
//     exit(mysqli_connect_error());
// }
if ($mysqli -> connect_errno) {
    $arr['reason'] = "Failed to connect to MySQL: " . $mysqli -> connect_error;
  exit();
}
$mysqli->set_charset('utf8mb4');
$arr = array();
$arr['error'] = 1;

function Cl_Secure($string, $br = true, $strip = 0) {
	$string = trim($string);
	$string = strip_tags($string);
	$string = htmlspecialchars($string, ENT_QUOTES);
	if ($br == true) {
		$string = str_replace('\r\n', " <br>", $string);
		$string = str_replace('\n\r', " <br>", $string);
		$string = str_replace('\r', " <br>", $string);
		$string = str_replace('\n', " <br>", $string);
	} else {
		$string = str_replace('\r\n', "", $string);
		$string = str_replace('\n\r', "", $string);
		$string = str_replace('\r', "", $string);
		$string = str_replace('\n', "", $string);
	}
	if ($strip == 1) {
		$string = stripslashes($string);
	}
	$string = str_replace('&amp;#', '&#', $string);

	return $string;
}

if (!empty($_POST['email'])) {
    $username = Cl_Secure($_POST['username']);
    $email = Cl_Secure($_POST['email']);
    $password = Cl_Secure($_POST['password']);
    $cpassword = Cl_Secure($_POST['cpassword']);
    $pswd = md5($password);

    if($mysqli -> connect_errno) {
        $arr['reason'] = "Failed to connect to MySQL: " . $mysqli -> connect_error;

    }
    else if ($password != $cpassword) {
        $arr['reason'] = "Passwords don't match";
    }
    else {
        if ($username == "") {
            $arr['reason'] = "Please enter your admin username";
        }
        else {
            if ($email == "") {
                $arr['reason'] = "Enter an email";
            }
			else if(!filter_var($email, FILTER_VALIDATE_EMAIL))	{
				$arr['reason'] = 'Please enter a valid email address !';
			}
			else if (strlen($password) < 2) {
				$arr['reason'] = "Please ensure your password is more than 4 characters";
			}
            else {
                $arr['error'] = 0;
                $mysqli->query('UPDATE cl_admin_user set admin_username = "'.$username.'", admin_email = "'.$email.'", admin_password = "'.$pswd.'" WHERE admin_uid = 3');
            }
        }
    }
} else {
    $arr['reason'] = "Enter an email";
}

echo json_encode($arr);
