-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: May 02, 2020 at 03:53 PM
-- Server version: 10.1.13-MariaDB
-- PHP Version: 5.6.23

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `adclass_storage`
--

-- --------------------------------------------------------

--
-- Table structure for table `ads_reported`
--

CREATE TABLE `ads_reported` (
  `rep_id` int(255) NOT NULL,
  `user_id_fk` int(255) NOT NULL,
  `ad_id_fk` int(255) NOT NULL,
  `rep_type` varchar(40) NOT NULL,
  `rep_desc` varchar(500) NOT NULL,
  `phone` char(15) NOT NULL,
  `ad_type` varchar(20) NOT NULL,
  `rep_created` varchar(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `cl_adbooster_orders`
--

CREATE TABLE `cl_adbooster_orders` (
  `id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `uid_fk` int(11) NOT NULL,
  `plan_type` int(11) NOT NULL,
  `plan_name` varchar(200) NOT NULL,
  `plan_price` int(11) NOT NULL,
  `plan_quantity` int(11) NOT NULL,
  `payment_status` int(11) NOT NULL DEFAULT '0',
  `payment_receipt` varchar(100) NOT NULL,
  `registered` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `created` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_adbooster_orders`
--

INSERT INTO `cl_adbooster_orders` (`id`, `order_id`, `uid_fk`, `plan_type`, `plan_name`, `plan_price`, `plan_quantity`, `payment_status`, `payment_receipt`, `registered`, `created`) VALUES
(3, 16539, 11, 1, 'Lite', 15, 20, 1, 'ClassyAd-bank-transfer-receipt-15820122004.jpg', '2020-02-16 12:07:57', 1581854877),
(6, 658137, 11, 3, 'Diamond', 50, 80, 3, 'ClassyAd-bank-transfer-receipt-158186428824.jpg', '2020-02-16 12:14:02', 1581855242),
(8, 120935, 11, 2, 'Xtra Lite', 30, 50, 1, 'ClassyAd-bank-transfer-receipt-15818610093.jpg', '2020-02-16 13:17:47', 1581859067),
(9, 167492, 11, 3, 'Diamond', 50, 80, 1, 'ClassyAd-bank-transfer-receipt-15820122847.jpg', '2020-02-18 07:48:21', 1582012101),
(10, 304265, 11, 1, 'Lite', 15, 20, 3, 'ClassyAd-bank-transfer-receipt-158220114220.jpg', '2020-02-18 07:51:53', 1582012313),
(11, 38769, 11, 1, 'Lite', 15, 20, 1, 'ClassyAd-bank-transfer-receipt-15822108136.jpg', '2020-02-20 14:56:58', 1582210618),
(12, 29463, 11, 2, 'Xtra Lite', 30, 50, 1, 'ClassyAd-bank-transfer-receipt-15822107437.jpg', '2020-02-20 14:57:16', 1582210636),
(13, 371986, 11, 3, 'Diamond', 50, 80, 1, 'ClassyAd-bank-transfer-receipt-15822109339.jpg', '2020-02-20 15:01:56', 1582210916),
(14, 269084, 11, 2, 'Xtra Lite', 30, 50, 1, 'ClassyAd-bank-transfer-receipt-158228867611.jpg', '2020-02-21 12:36:08', 1582288568),
(15, 923415, 11, 1, 'Lite', 15, 20, 1, 'ClassyAd-bank-transfer-receipt-15822888973.jpg', '2020-02-21 12:41:23', 1582288883),
(16, 790546, 11, 3, 'Diamond', 50, 80, 3, 'ClassyAd-bank-transfer-receipt-15822889547.jpg', '2020-02-21 12:42:28', 1582288948),
(17, 952843, 11, 2, 'Xtra Lite', 30, 50, 1, 'ClassyAd-bank-transfer-receipt-15822890226.jpg', '2020-02-21 12:43:33', 1582289013),
(18, 563207, 11, 1, 'Lite', 15, 20, 2, 'ClassyAd-bank-transfer-receipt-158228910010.jpg', '2020-02-21 12:44:53', 1582289093),
(19, 471952, 11, 1, 'Lite', 15, 20, 0, '', '2020-04-15 21:19:00', 1586985540),
(20, 62159, 11, 2, 'Xtra Lite', 30, 50, 1, '-bank-transfer-receipt-1587639676b10.jpg', '2020-04-23 11:00:32', 1587639632),
(21, 483960, 11, 3, 'Diamond', 50, 80, 0, '', '2020-04-23 11:02:52', 1587639772),
(22, 562318, 21, 3, 'Diamond', 50, 80, 2, '-bank-transfer-receipt-1588161943app.png', '2020-04-29 12:05:35', 1588161935);

-- --------------------------------------------------------

--
-- Table structure for table `cl_admin_user`
--

CREATE TABLE `cl_admin_user` (
  `admin_uid` int(250) NOT NULL,
  `admin_username` varchar(20) NOT NULL,
  `admin_password` varchar(200) NOT NULL,
  `admin_first_name` varchar(20) NOT NULL,
  `admin_last_name` varchar(20) NOT NULL,
  `admin_email` varchar(50) NOT NULL,
  `admin_security_code` int(11) NOT NULL,
  `admin_status` int(11) NOT NULL,
  `admin_forgot_code` varchar(250) NOT NULL,
  `admin_registered_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `admin_created` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_admin_user`
--

INSERT INTO `cl_admin_user` (`admin_uid`, `admin_username`, `admin_password`, `admin_first_name`, `admin_last_name`, `admin_email`, `admin_security_code`, `admin_status`, `admin_forgot_code`, `admin_registered_date`, `admin_created`) VALUES
(3, 'admin', '21232f297a57a5a743894a0e4a801fc3', 'Cloe', 'O&#039;brian', 'admin@gmail.com', 1234, 1, '', '2020-02-02 12:42:05', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `cl_adproduct_storage`
--

CREATE TABLE `cl_adproduct_storage` (
  `ad_id` int(11) NOT NULL,
  `ad_public_id` int(11) DEFAULT NULL,
  `ad_title` varchar(70) NOT NULL,
  `ad_type` int(250) NOT NULL,
  `ad_price` varchar(250) NOT NULL,
  `ad_salary` varchar(250) NOT NULL,
  `ad_maxsalary` varchar(250) NOT NULL,
  `ad_negotiable` int(11) NOT NULL,
  `ad_currency` int(11) NOT NULL,
  `ad_condition` int(11) NOT NULL,
  `ad_desciption` varchar(250) NOT NULL,
  `ad_category_id_fk` int(11) NOT NULL,
  `ad_subcategory_id_fk` int(11) NOT NULL,
  `ad_state_id_fk` int(11) NOT NULL,
  `ad_city_id_fk` int(11) NOT NULL,
  `ad_streetaddress` varchar(250) NOT NULL,
  `ad_phone` varchar(30) NOT NULL,
  `ad_user_id_fk` int(250) NOT NULL,
  `ad_ip` varchar(100) DEFAULT NULL,
  `ad_browser` varchar(100) NOT NULL,
  `ad_feature` int(11) NOT NULL DEFAULT '0',
  `ad_feature_expiry` int(11) NOT NULL DEFAULT '0',
  `ad_views` int(11) DEFAULT '0',
  `ad_status` int(11) DEFAULT '0',
  `ad_posted_date` date NOT NULL,
  `ad_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ad_created` int(11) DEFAULT '1269249260'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `cl_adproduct_storage`
--

INSERT INTO `cl_adproduct_storage` (`ad_id`, `ad_public_id`, `ad_title`, `ad_type`, `ad_price`, `ad_salary`, `ad_maxsalary`, `ad_negotiable`, `ad_currency`, `ad_condition`, `ad_desciption`, `ad_category_id_fk`, `ad_subcategory_id_fk`, `ad_state_id_fk`, `ad_city_id_fk`, `ad_streetaddress`, `ad_phone`, `ad_user_id_fk`, `ad_ip`, `ad_browser`, `ad_feature`, `ad_feature_expiry`, `ad_views`, `ad_status`, `ad_posted_date`, `ad_timestamp`, `ad_created`) VALUES
(8, NULL, 'Iphone 11 pro max (Brand new one)', 1, '600,00', '', '', 0, 1, 1, 'Iphone 11 pro max (Brand new one)  Lorem Ipsum is simply dummy text of the printing and typesetting industry', 1, 1, 5, 21, '104BA madness street.', '(275) 341-564', 11, '::1', 'Chrome', 1, 0, 16, 1, '2020-01-08', '2020-04-30 11:43:30', 1578475656),
(12, NULL, 'Web app developer needed urgently at Obrianees Company', 2, '', '2.000,00', '5.000,00', 0, 1, 1, 'Web app developer needed urgently at Obrianees Company... The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using ''Content here, content here'', making it look like readable English.', 6, 40, 1, 1, 'Aalabama, 14th floor office, the main road tiper tower...', '(173) 564-425', 11, '::1', 'Edge', 0, 0, 1, 1, '2020-01-15', '2020-04-16 15:48:55', 1579077682),
(13, NULL, 'Lorem Ipsum is simply dummy text of the printing and typesetting indus', 1, '700,00', '', '', 0, 1, 1, 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using ''Content her', 3, 12, 1, 1, 'Aalabama, 14th floor office, the main road tiper tower...', '(173) 564-425', 11, '::1', 'Edge', 1, 0, 1, 1, '2020-01-16', '2020-04-16 16:14:16', 1579173456),
(14, NULL, 'Lorem Ipsum is simply dummy text of the printing and typesetting indus', 1, '75.000,00', '', '', 1, 1, 1, 'Lorem Ipsum is simply dummy text of the printing and typesetting industry Lorem Ipsum is simply dummy text of the printing and typesetting industry Lorem Ipsum is simply dummy text of the printing and typesetting industry', 1, 1, 1, 4, 'B234 #hs sdag sdhfds fgsad dshjdf  huntsville', '(235) 354-6555', 11, '::1', 'Edge', 0, 0, 0, 1, '2020-01-21', '2020-01-25 12:24:14', 1579612343),
(15, NULL, 'Samsung note 8 max Lorem Ipsum is simply dummy text of the printing an', 1, '30,00', '', '', 1, 1, 1, 'Samsung note 8 max Lorem Ipsum is simply dummy text of the printing and typesetting industry Samsung note 8 max Lorem Ipsum is simply dummy text of the printing and typesetting industrySamsung note 8 max Lorem Ipsum is simply dummy text of the printi', 1, 2, 5, 24, 'Blockk 1234 Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(762) 534-4524', 11, '::1', 'Edge', 0, 0, 2, 1, '2020-01-21', '2020-04-30 11:42:50', 1579631926),
(17, NULL, 'Samsung note 10 max Lorem Ipsum is simply dummy text of the printing a', 1, '35,00', '', '', 1, 1, 1, 'Samsung note 8 max Lorem Ipsum is simply dummy text of the printing an..Lorem Ipsum is simply dummy text of the printing an..Lorem Ipsum is simply dummy text of the printing an..Lorem Ipsum is simply dummy text of the printing an', 1, 1, 9, 42, 'B1234 street, miami..Lorem Ipsum is simply dummy text of the printing an', '(765) 342-3265', 11, '::1', 'Edge', 0, 0, 4, 1, '2020-01-21', '2020-04-13 12:55:58', 1579632744),
(16, NULL, 'I am a web developer seeking for job.. Lorem Ipsum is simply dummy tex', 3, '', '', '', 1, 1, 1, 'I am a web developer seeking for job.. Lorem Ipsum is simply dummy text of the printing and typesetting industry ..Lorem Ipsum is simply dummy text of the printing and typesetting industry.. Lorem Ipsum is simply dummy text of the printing and typese', 6, 39, 6, 28, 'Block A4343 aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(867) 531-6453', 11, '::1', 'Edge', 1, 0, 3, 1, '2020-01-21', '2020-04-29 20:55:17', 1579632084),
(18, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '50.000,00', '', '', 1, 1, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec por..Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse p', 4, 19, 6, 28, 'Block A4343 aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(567) 531-6453', 11, '::1', 'Edge', 0, 0, 0, 1, '2020-01-24', '2020-01-25 12:24:14', 1579877620),
(19, NULL, 'Car Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '35.000,00', '', '', 1, 1, 1, 'Car..Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendiss', 8, 80, 6, 26, 'Block A4343 aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(707) 531-6453', 11, '::1', 'Edge', 1, 0, 3, 1, '2020-01-24', '2020-04-28 11:03:28', 1579877754),
(20, NULL, 'Job.. Lorem ipsum... suspendisse placerat mattis arcu nec por', 2, '', '60.000,00', '200.000,00', 1, 1, 1, 'Jobs.. Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendi', 6, 40, 9, 41, 'B18A34 street, miami..Lorem Ipsum is simply dummy text of the printing an', '(710) 342-3265', 11, '::1', 'Edge', 1, 0, 4, 1, '2020-01-24', '2020-04-30 11:40:17', 1579877915),
(21, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '50', '', '', 1, 1, 1, 'Accessories.. Lorem ipsum... suspendisse placerat mattis arcu nec por Lorem ipsum... suspendisse placerat mattis arcu nec por Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, 3, 6, 26, 'Block A4343 aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(786) 531-6453', 11, '::1', 'Edge', 0, 0, 2, 1, '2020-01-24', '2020-03-03 12:31:02', 1579878026),
(22, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '70', '', '', 1, 1, 1, 'Home.. Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendi', 7, 71, 6, 26, 'Block A7643 aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(667) 531-6453', 11, '::1', 'Edge', 0, 0, 2, 1, '2020-01-24', '2020-03-05 11:43:55', 1579878138),
(23, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '65', '', '', 1, 1, 1, 'Clothing... Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... sus', 2, 4, 6, 26, 'Block A76BG aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(876) 758-5645', 11, '::1', 'Edge', 1, 0, 1, 1, '2020-01-24', '2020-04-12 09:55:16', 1579878238),
(24, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '98', '', '', 1, 1, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse pla', 1, 2, 9, 41, 'B18934 street, miami..Lorem Ipsum is simply dummy text of the printing an', '(678) 342-3265', 11, '::1', 'Edge', 0, 0, 5, 1, '2020-01-24', '2020-04-16 15:49:34', 1579878369),
(25, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '67', '', '', 1, 1, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse pla', 8, 80, 6, 26, 'Block A76BG aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(678) 758-5645', 11, '::1', 'Edge', 0, 0, 18, 1, '2020-01-24', '2020-01-25 15:19:26', 1579878454),
(26, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '809,00', '', '', 1, 1, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse pla', 8, 80, 6, 26, 'Block A76BG aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(876) 758-5645', 11, '::1', 'Edge', 0, 0, 11, 1, '2020-01-24', '2020-04-13 10:52:29', 1579878532),
(27, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '708,00', '', '', 1, 1, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse pla', 8, 80, 6, 26, 'Block A76BG aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(876) 758-5645', 11, '::1', 'Edge', 0, 0, 12, 1, '2020-01-24', '2020-04-23 12:41:41', 1579878597),
(28, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '60.090,00', '', '', 1, 1, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse pla', 8, 80, 6, 26, 'Block A76BG aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(876) 758-5645', 11, '::1', 'Edge', 0, 0, 2, 1, '2020-01-24', '2020-04-13 11:24:05', 1579878660),
(29, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '8.756,44', '', '', 1, 1, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse pla', 4, 18, 9, 41, 'B18934 street, miami..Lorem Ipsum is simply dummy text of the printing an', '(678) 342-3265', 11, '::1', 'Edge', 0, 0, 36, 1, '2020-01-24', '2020-04-30 15:00:11', 1579878746),
(30, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '76,56', '', '', 1, 2, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse pla', 4, 19, 6, 26, 'Block A76BG aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(678) 758-5645', 11, '::1', 'Edge', 0, 0, 7, 1, '2020-01-24', '2020-04-28 19:27:07', 1579878853),
(31, NULL, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '75.453,34', '', '', 0, 1, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse pla', 8, 80, 9, 41, 'B18934 street, miami..Lorem Ipsum is simply dummy text of the printing an', '(678) 342-3265', 11, '::1', 'Edge', 0, 0, 5, 1, '2020-01-24', '2020-04-13 10:52:50', 1579878942),
(32, 873612540, 'Shirt.. Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '78', '', '', 1, 1, 1, 'T Shirt.. Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspe', 2, 4, 10, 46, 'B18934 street, miami..Lorem Ipsum is simply dummy text of the printing an', '(808) 342-3265', 11, '::1', 'Edge', 0, 0, 39, 1, '2020-01-25', '2020-01-26 10:29:36', 1579965462),
(33, 13259678, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '100,00', '', '', 1, 1, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse pla', 2, 4, 6, 26, 'Block A76BG aurora street Lorem Ipsum is simply dummy text of the printing and typesetting industry', '(678) 758-5645', 11, '::1', 'Edge', 1, 0, 7, 1, '2020-01-25', '2020-04-29 22:21:26', 1579965635),
(34, 169472583, 'Lorem ipsum... suspendisse placerat mattis arcu nec por', 1, '67', '', '', 1, 1, 1, 'Lorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse placerat mattis arcu nec porLorem ipsum... suspendisse pla', 2, 4, 9, 41, 'B18934 street, miami..Lorem Ipsum is simply dummy text of the printing an', '(998) 342-3265', 11, '::1', 'Edge', 1, 0, 5, 1, '2020-01-25', '2020-04-13 11:58:26', 1579965719),
(38, 753092846, 'Lorem Iphone 11 pro max of 128 GB storage and 8GB ram with 1.2GHz proc', 1, '700,00', '', '', 1, 1, 1, 'Lorem Iphone 11 pro max of 128 GB storage and 8GB ram with 1.2GHz processor, color white taped round with gold... Lorem Iphone 11 pro max of 128 GB storage and 8GB ram with 1.2GHz processor, color white taped round with gold.', 1, 1, 1, 1, 'L12 bloa the nations street, alabama', '(353) 564-6375', 11, '::1', 'Chrome', 1, 0, 5, 1, '2020-03-03', '2020-04-07 12:03:30', 1583266845),
(39, 562749813, 'Samsung Note 8 Fold 120GB Ram', 1, '2,000', '', '', 1, 1, 1, 'Samsung Note 8 Fold 120GB Ram Samsung Note 8 Fold 120GB Ram Samsung Note 8 Fold 120GB Ram Samsung Note 8 Fold 120GB Ram Samsung Note 8 Fold 120GB Ram Samsung Note 8 Fold 120GB Ram Samsung Note 8 Fold 120GB Ram Samsung Note 8 Fold 120GB Ram Samsung No', 1, 2, 1, 3, 'A23 alabama green house street, floor 4.', '(029) 738-6375', 11, '::1', 'Chrome', 0, 0, 2, 1, '2020-04-21', '2020-04-29 22:17:14', 1587473478),
(40, 326084571, 'Digital dual camera HP564OI Inject ut', 1, '204', '', '', 1, 1, 1, 'Digital dual camera HP564OI Inject  Plus Printer Digital dual camera HP564OI Inject  Plus Printer Digital dual camera HP564OI Inject  Plus Printer Digital dual camera HP564OI Inject  Plus Printer Digital dual camera HP564OI Inject  Plus Printer Digit', 3, 17, 2, 8, 'A23 d alabama green house, linda floor 5', '(546) 878-9846', 11, '::1', 'Chrome', 1, 0, 12, 1, '2020-04-21', '2020-04-29 22:10:15', 1587477869),
(41, 635701842, 'Light Digital dual camera HP564OI Inj', 1, '1,022', '', '', 1, 1, 1, 'Light Digital dual camera HP564OI Inj Light Digital dual camera HP564OI Inj Light Digital dual camera HP564OI Inj Light Digital dual camera HP564OI Inj Light Digital dual camera HP564OI Inj Light Digital dual camera HP564OI Inj Light Digital dual cam', 3, 17, 2, 8, 'Block 23 d alabama green house, linda floor 86', '(354) 678-9098', 11, '::1', 'Chrome', 0, 0, 4, 1, '2020-04-21', '2020-04-21 14:39:18', 1587478254),
(42, 549721068, 'Light 2 Digital dual camera HP564OI Inj', 1, '900', '', '', 1, 1, 1, 'Light 2 Digital dual camera HP564OI Inj Light Digital dual camera HP564OI Inj Light Digital dual camera HP564OI Inj Light Digital dual camera HP564OI Inj Light Digital dual camera HP564OI Inj Light Digital dual camera HP564OI Inj Light Digital dual c', 3, 17, 1, 3, 'Block 23 d alabama green house, linda floor 55 thy6', '(867) 548-3564', 11, '::1', 'Chrome', 0, 0, 3, 1, '2020-04-21', '2020-04-30 06:09:53', 1587480044);

-- --------------------------------------------------------

--
-- Table structure for table `cl_ad_photos_upload`
--

CREATE TABLE `cl_ad_photos_upload` (
  `id` int(11) NOT NULL,
  `image_path` varchar(200) DEFAULT NULL,
  `ad_id_fk` int(250) NOT NULL,
  `uid_fk` int(11) DEFAULT NULL,
  `registered_date` date NOT NULL,
  `created` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;

--
-- Dumping data for table `cl_ad_photos_upload`
--

INSERT INTO `cl_ad_photos_upload` (`id`, `image_path`, `ad_id_fk`, `uid_fk`, `registered_date`, `created`) VALUES
(72, 'Classifier_1579616088m6.jpg', 8, 11, '2020-01-21', 1579616088),
(73, 'Classifier_1579616088m7.jpg', 8, 11, '2020-01-21', 1579616088),
(74, 'Classifier_1579616088m8.jpg', 8, 11, '2020-01-21', 1579616088),
(66, 'Classifier_1579612408m11.jpg', 14, 11, '2020-01-21', 1579612408),
(65, 'Classifier_1579612408m10.jpg', 14, 11, '2020-01-21', 1579612408),
(64, 'Classifier_1579612408m9.jpg', 14, 11, '2020-01-21', 1579612408),
(63, 'Classifier_1579612393m8.jpg', 14, 11, '2020-01-21', 1579612393),
(9, 'Classifier_157907771122.jpg', 12, 11, '2020-01-15', 1579077711),
(10, 'Classifier_157907771123.jpg', 12, 11, '2020-01-15', 1579077711),
(11, 'Classifier_157907771124.jpg', 12, 11, '2020-01-15', 1579077711),
(27, 'Classifier_1579173474cat2.png', 13, 11, '2020-01-16', 1579173474),
(71, 'Classifier_1579616088m5.jpg', 8, 11, '2020-01-21', 1579616088),
(35, 'Classifier_157917392723.jpg', 13, 11, '2020-01-16', 1579173927),
(34, 'Classifier_157917392722.jpg', 13, 11, '2020-01-16', 1579173927),
(75, 'Classifier_1579631943m1.jpg', 15, 11, '2020-01-21', 1579631943),
(33, 'Classifier_15791738424.jpg', 13, 11, '2020-01-16', 1579173842),
(32, 'Classifier_157917380812.jpg', 13, 11, '2020-01-16', 1579173808),
(76, 'Classifier_1579631943m2.jpg', 15, 11, '2020-01-21', 1579631943),
(77, 'Classifier_1579631943m3.jpg', 15, 11, '2020-01-21', 1579631943),
(78, 'Classifier_1579631943m4.jpg', 15, 11, '2020-01-21', 1579631943),
(79, 'Classifier_1579632114cat11.png', 16, 11, '2020-01-21', 1579632114),
(80, 'Classifier_1579632123b4.jpg', 16, 11, '2020-01-21', 1579632123),
(81, 'Classifier_1579632123b5.jpg', 16, 11, '2020-01-21', 1579632123),
(82, 'Classifier_1579632774m3.jpg', 17, 11, '2020-01-21', 1579632774),
(83, 'Classifier_1579632774m4.jpg', 17, 11, '2020-01-21', 1579632774),
(84, 'Classifier_1579632774m5.jpg', 17, 11, '2020-01-21', 1579632774),
(85, 'Classifier_1579632774m6.jpg', 17, 11, '2020-01-21', 1579632774),
(86, 'Classifier_1579877631ad2.jpg', 18, 11, '2020-01-24', 1579877631),
(87, 'Classifier_1579877651r9.jpg', 18, 11, '2020-01-24', 1579877651),
(88, 'Classifier_1579877651r10.jpg', 18, 11, '2020-01-24', 1579877651),
(89, 'Classifier_1579877780ad1.jpg', 19, 11, '2020-01-24', 1579877780),
(90, 'Classifier_1579877798c4.jpg', 19, 11, '2020-01-24', 1579877798),
(91, 'Classifier_1579877798c5.jpg', 19, 11, '2020-01-24', 1579877798),
(92, 'Classifier_1579877798c6.jpg', 19, 11, '2020-01-24', 1579877798),
(93, 'Classifier_1579877926ad3.jpg', 20, 11, '2020-01-24', 1579877926),
(94, 'Classifier_1579878035ad4.jpg', 21, 11, '2020-01-24', 1579878035),
(95, 'Classifier_1579878052e8.jpg', 21, 11, '2020-01-24', 1579878052),
(96, 'Classifier_1579878147ad5.jpg', 22, 11, '2020-01-24', 1579878147),
(97, 'Classifier_1579878158e1.jpg', 22, 11, '2020-01-24', 1579878158),
(98, 'Classifier_1579878250ad6.jpg', 23, 11, '2020-01-24', 1579878250),
(99, 'Classifier_1579878262cat8.png', 23, 11, '2020-01-24', 1579878262),
(100, 'Classifier_1579878402m13.jpg', 24, 11, '2020-01-24', 1579878402),
(101, 'Classifier_1579878402p1.jpg', 24, 11, '2020-01-24', 1579878402),
(102, 'Classifier_1579878402p2.jpg', 24, 11, '2020-01-24', 1579878402),
(103, 'Classifier_1579878480c4.jpg', 25, 11, '2020-01-24', 1579878480),
(104, 'Classifier_1579878480c5.jpg', 25, 11, '2020-01-24', 1579878480),
(105, 'Classifier_1579878480c6.jpg', 25, 11, '2020-01-24', 1579878480),
(106, 'Classifier_1579878546c1.jpg', 26, 11, '2020-01-24', 1579878546),
(107, 'Classifier_1579878546c2.jpg', 26, 11, '2020-01-24', 1579878546),
(108, 'Classifier_1579878546c3.jpg', 26, 11, '2020-01-24', 1579878546),
(109, 'Classifier_1579878554c9.jpg', 26, 11, '2020-01-24', 1579878554),
(110, 'Classifier_1579878554c10.jpg', 26, 11, '2020-01-24', 1579878554),
(111, 'Classifier_1579878612c7.jpg', 27, 11, '2020-01-24', 1579878612),
(112, 'Classifier_1579878612c8.jpg', 27, 11, '2020-01-24', 1579878612),
(113, 'Classifier_1579878612c9.jpg', 27, 11, '2020-01-24', 1579878612),
(114, 'Classifier_1579878612c10.jpg', 27, 11, '2020-01-24', 1579878612),
(115, 'Classifier_1579878612c11.jpg', 27, 11, '2020-01-24', 1579878612),
(116, 'Classifier_1579878689c9.jpg', 28, 11, '2020-01-24', 1579878689),
(117, 'Classifier_1579878689c10.jpg', 28, 11, '2020-01-24', 1579878689),
(118, 'Classifier_1579878689c11.jpg', 28, 11, '2020-01-24', 1579878689),
(119, 'Classifier_1579878689c12.jpg', 28, 11, '2020-01-24', 1579878689),
(120, 'Classifier_1579878689c13.jpg', 28, 11, '2020-01-24', 1579878689),
(121, 'Classifier_1579878772r4.jpg', 29, 11, '2020-01-24', 1579878772),
(122, 'Classifier_1579878772r5.jpg', 29, 11, '2020-01-24', 1579878772),
(123, 'Classifier_1579878772r6.jpg', 29, 11, '2020-01-24', 1579878772),
(124, 'Classifier_1579878782r8.jpg', 29, 11, '2020-01-24', 1579878782),
(125, 'Classifier_1579878782r9.jpg', 29, 11, '2020-01-24', 1579878782),
(126, 'Classifier_1579878782r10.jpg', 29, 11, '2020-01-24', 1579878782),
(127, 'Classifier_1579878888r5.jpg', 30, 11, '2020-01-24', 1579878888),
(128, 'Classifier_1579878888r6.jpg', 30, 11, '2020-01-24', 1579878888),
(129, 'Classifier_1579878888r7.jpg', 30, 11, '2020-01-24', 1579878888),
(130, 'Classifier_1579878888r8.jpg', 30, 11, '2020-01-24', 1579878888),
(131, 'Classifier_1579878888r9.jpg', 30, 11, '2020-01-24', 1579878888),
(132, 'Classifier_1579878961ss1.jpg', 31, 11, '2020-01-24', 1579878961),
(133, 'Classifier_1579878961ss2.jpg', 31, 11, '2020-01-24', 1579878961),
(134, 'Classifier_1579878961ss3.jpg', 31, 11, '2020-01-24', 1579878961),
(135, 'Classifier_1579878961ss4.jpg', 31, 11, '2020-01-24', 1579878961),
(136, 'Classifier_1579965497fa8.jpg', 32, 11, '2020-01-25', 1579965497),
(137, 'Classifier_1579965497fa9.jpg', 32, 11, '2020-01-25', 1579965497),
(138, 'Classifier_1579965497fa10.jpg', 32, 11, '2020-01-25', 1579965497),
(139, 'Classifier_1579965497fa11.jpg', 32, 11, '2020-01-25', 1579965497),
(140, 'Classifier_1579965656client_2.jpg', 33, 11, '2020-01-25', 1579965656),
(141, 'Classifier_1579965668client_3.jpg', 33, 11, '2020-01-25', 1579965668),
(142, 'Classifier_1579965668client_4.jpg', 33, 11, '2020-01-25', 1579965668),
(152, 'Classifier_1579965779fa12.jpg', 34, 11, '2020-01-25', 1579965779),
(151, 'Classifier_1579965779fa11.jpg', 34, 11, '2020-01-25', 1579965779),
(149, 'Classifier_1579965779fa9.jpg', 34, 11, '2020-01-25', 1579965779),
(150, 'Classifier_1579965779fa10.jpg', 34, 11, '2020-01-25', 1579965779),
(148, 'Classifier_1579965763fa13.jpg', 34, 11, '2020-01-25', 1579965763),
(165, 'ClassyAds_1583266875‪+234 703 104 0997‬ 20160626_053851.jpg', 38, 11, '2020-03-03', 1583266876),
(167, 'ClassyAds_15832668989.jpg', 38, 11, '2020-03-03', 1583266898),
(168, 'ClassyAds_158326689810.jpg', 38, 11, '2020-03-03', 1583266898),
(169, 'ClassyAds_158326689811.jpg', 38, 11, '2020-03-03', 1583266898),
(222, '_1587477447m9.jpg', 39, 11, '2020-04-21', 1587477447),
(229, '_1587478353e7.jpg', 40, 11, '2020-04-21', 1587478353),
(234, 'AdClass_PHP_Script_1588190778e1.jpg', 40, 11, '2020-04-29', 1588190778),
(228, '_1587478353e6.jpg', 40, 11, '2020-04-21', 1587478353),
(220, '_1587477447m7.jpg', 39, 11, '2020-04-21', 1587477447),
(225, '_1587478291e7.jpg', 41, 11, '2020-04-21', 1587478291),
(226, '_1587478291e10.jpg', 41, 11, '2020-04-21', 1587478291),
(223, '_1587478291e2.jpg', 41, 11, '2020-04-21', 1587478291),
(227, '_1587478291e13.jpg', 41, 11, '2020-04-21', 1587478291),
(221, '_1587477447m8.jpg', 39, 11, '2020-04-21', 1587477447),
(219, '_1587477447m6.jpg', 39, 11, '2020-04-21', 1587477447),
(224, '_1587478291e6.jpg', 41, 11, '2020-04-21', 1587478291),
(230, '_1587478353e10.jpg', 40, 11, '2020-04-21', 1587478353),
(231, '_1587478353e13.jpg', 40, 11, '2020-04-21', 1587478353),
(232, '_1587480063e6.jpg', 42, 11, '2020-04-21', 1587480063),
(233, '_1587480063e7.jpg', 42, 11, '2020-04-21', 1587480063);

-- --------------------------------------------------------

--
-- Table structure for table `cl_category`
--

CREATE TABLE `cl_category` (
  `cat_id` int(255) NOT NULL,
  `cat_name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_category`
--

INSERT INTO `cl_category` (`cat_id`, `cat_name`) VALUES
(1, 'Mobile Phones and Tablets'),
(2, 'Fashion'),
(3, 'Electronics'),
(4, 'Real Estate'),
(5, 'Health and Beauty'),
(6, 'Jobs'),
(7, 'Home and Garden'),
(8, 'Vehicles'),
(9, 'Animals and Pets'),
(10, 'Hobbies Art Sport'),
(11, 'Babies and Kids'),
(12, 'Seeking Work CVs'),
(13, 'Services');

-- --------------------------------------------------------

--
-- Table structure for table `cl_cities`
--

CREATE TABLE `cl_cities` (
  `cities_id` int(255) NOT NULL,
  `cities_name` varchar(30) NOT NULL,
  `state_id_fk` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_cities`
--

INSERT INTO `cl_cities` (`cities_id`, `cities_name`, `state_id_fk`) VALUES
(1, 'Birmingham', 1),
(2, 'Montgomery', 1),
(3, 'Mobile', 1),
(4, 'Huntsville', 1),
(5, 'Tuscaloosa', 1),
(6, 'Anchorage', 2),
(7, 'Fairbanks', 2),
(8, 'Juneau', 2),
(9, 'Sitka', 2),
(10, 'Ketchikan', 2),
(11, 'Phoenix', 3),
(12, 'Tucson', 3),
(13, 'Mesa', 3),
(14, 'Chandler', 3),
(15, 'Glendale', 3),
(16, 'Little Rock', 4),
(17, 'Fort Smith', 4),
(18, 'Fayetteville', 4),
(19, 'Springdale', 4),
(20, 'Jonesboro', 4),
(21, 'Los Angeles', 5),
(22, 'San Diego', 5),
(23, 'San Jose', 5),
(24, 'San Francisco', 5),
(25, 'Fresno', 5),
(26, 'Denver', 6),
(27, 'Colorado', 6),
(28, 'Aurora', 6),
(29, 'Fort Collins', 6),
(30, 'Lakewood', 6),
(31, 'Bridgeport', 7),
(32, 'New Haven', 7),
(33, 'Hartford', 7),
(34, 'Stamford', 7),
(35, 'Waterbury', 7),
(36, 'Wilmington', 8),
(37, 'Dover', 8),
(38, 'Newark', 8),
(39, 'Bear', 8),
(40, 'Middletown', 8),
(41, 'Jacksonville', 9),
(42, 'Miami', 9),
(43, 'Tampa', 9),
(44, 'St. Petersburg', 9),
(45, 'Orlando', 9),
(46, 'Atlanta', 10),
(47, 'Augusta', 10),
(48, 'Columbus', 10),
(49, 'Savannah', 10),
(50, 'Athens', 10),
(51, 'Honolulu', 11),
(52, 'Pearl City', 11),
(53, 'Hilo', 11),
(54, 'Kailua', 11),
(55, 'Waipahu', 11),
(56, 'Boise', 12),
(57, 'Nampa', 12),
(58, 'Meridian', 12),
(59, 'Idaho Falls', 12),
(60, 'Pocatello', 12),
(61, 'Chicago', 13),
(62, 'Aurora', 13),
(63, 'Rockford', 13),
(64, 'Joliet', 13),
(65, 'Naperville', 13),
(66, 'Indianapolis', 14),
(67, 'Fort Wayne', 14),
(68, 'Evansville', 14),
(69, 'South Bend', 14),
(70, 'Hammond', 14),
(71, 'Des Moines', 15),
(72, 'Cedar Rapids', 15),
(73, 'Davenport', 15),
(74, 'Sioux City', 15),
(75, 'Waterloo', 15),
(76, 'Wichita', 16),
(77, 'Overland Park', 16),
(78, 'Kansas City', 16),
(79, 'Topeka', 16),
(80, 'Olathe  ', 16),
(81, 'Louisville', 17),
(82, 'Lexington', 17),
(83, 'Bowling Green', 17),
(84, 'Owensboro', 17),
(85, 'Covington', 17),
(86, 'New Orleans', 18),
(87, 'Baton Rouge', 18),
(88, 'Shreveport', 18),
(89, 'Metairie', 18),
(90, 'Lafayette', 18),
(91, 'Portland', 19),
(92, 'Lewiston', 19),
(93, 'Bangor', 19),
(94, 'South Portland', 19),
(95, 'Auburn', 19),
(96, 'Baltimore', 20),
(97, 'Frederick', 20),
(98, 'Rockville', 20),
(99, 'Gaithersburg', 20),
(100, 'Bowie', 20),
(101, 'Boston', 21),
(102, 'Worcester', 21),
(103, 'Springfield', 21),
(104, 'Lowell', 21),
(105, 'Cambridge', 21),
(106, 'Detroit', 22),
(107, 'Grand Rapids', 22),
(108, 'Warren', 22),
(109, 'Sterling Heights', 22),
(110, 'Lansing', 22),
(111, 'Minneapolis', 23),
(112, 'St. Paul', 23),
(113, 'Rochester', 23),
(114, 'Duluth', 23),
(115, 'Bloomington', 23),
(116, 'Jackson', 24),
(117, 'Gulfport', 24),
(118, 'Southaven', 24),
(119, 'Hattiesburg', 24),
(120, 'Biloxi', 24),
(121, 'Kansas City', 25),
(122, 'St. Louis', 25),
(123, 'Springfield', 25),
(124, 'Independence', 25),
(125, 'Columbia', 25),
(126, 'Billings', 26),
(127, 'Missoula', 26),
(128, 'Great Falls', 26),
(129, 'Bozeman', 26),
(130, 'Butte-Silver Bow', 26),
(131, 'Omaha', 27),
(132, 'Lincoln', 27),
(133, 'Bellevue', 27),
(134, 'Grand Island', 27),
(135, 'Kearney', 27),
(136, 'Las Vegas', 28),
(137, 'Henderson', 28),
(138, 'North Las Vegas', 28),
(139, 'Reno', 28),
(140, 'Sunrise Manor', 28),
(141, 'Manchesters', 29),
(142, 'Nashua', 29),
(143, 'Concord', 29),
(144, 'Dover', 29),
(145, 'Rochester', 29),
(146, 'Newark', 30),
(147, 'Jersey City', 30),
(148, 'Paterson', 30),
(149, 'Elizabeth', 30),
(150, 'Edison', 30),
(151, 'Albuquerque', 31),
(152, 'Las Cruces', 31),
(153, 'Rio Rancho', 31),
(154, 'Santa Fe', 31),
(155, 'Roswell', 31),
(156, 'New York', 32),
(157, 'Buffalo', 32),
(158, 'Rochester', 32),
(159, 'Yonkers', 32),
(160, 'Syracuse', 32),
(161, 'Charlotte', 33),
(162, 'Raleigh', 33),
(163, 'Greensboro', 33),
(164, 'Winston-Salem', 33),
(165, 'Durham', 33),
(166, 'Fargo', 34),
(167, 'Bismarck', 34),
(168, 'Grand Forks', 34),
(169, 'Minot', 34),
(170, 'West Fargo', 34),
(171, 'Columbus', 35),
(172, 'Cleveland', 35),
(173, 'Cincinnati', 35),
(174, 'Toledo', 35),
(175, 'Akron', 35),
(176, 'Oklahoma City', 36),
(177, 'Tulsa', 36),
(178, 'Norman', 36),
(179, 'Broken Arrow', 36),
(180, 'Lawton', 36),
(181, 'Portland', 37),
(182, 'Eugene', 37),
(183, 'Salem', 37),
(184, 'Gresham', 37),
(185, 'Hillsboro', 37),
(186, 'Philadelphia', 38),
(187, 'Pittsburgh', 38),
(188, 'Allentown', 38),
(189, 'Erie', 38),
(190, 'Reading', 38),
(191, 'Providence', 39),
(192, 'Warwick', 39),
(193, 'Cranston', 39),
(194, 'Pawtucket', 39),
(195, 'East Providence', 39),
(196, 'Columbia', 40),
(197, 'Charleston', 40),
(198, 'North Charleston', 40),
(199, 'Mount Pleasant', 40),
(200, 'Rock Hill', 40),
(201, 'Sioux Falls', 41),
(202, 'Rapid City', 41),
(203, 'Aberdeen', 41),
(204, 'Brookings', 41),
(205, 'Watertown', 41),
(206, 'Memphis', 42),
(207, 'Nashville', 42),
(208, 'Knoxville', 42),
(209, 'Chattanooga', 42),
(210, 'Clarksville', 42),
(211, 'Houston', 43),
(212, 'San Antonio', 43),
(213, 'Dallas', 43),
(214, 'Austin', 43),
(215, 'Fort Worth', 43),
(216, 'Salt Lake City', 44),
(217, 'West Valley City', 44),
(218, 'Provo', 44),
(219, 'West Jordan', 44),
(220, 'Orem', 44),
(221, 'Burlington', 45),
(222, 'Essex', 45),
(223, 'South Burlington', 45),
(224, 'Colchester', 45),
(225, 'Rutland', 45),
(226, 'Virginia Beach', 46),
(227, 'Norfolk', 46),
(228, 'Chesapeake', 46),
(229, 'Arlington', 46),
(230, 'Richmond', 46),
(231, 'Seattle', 47),
(232, 'Spokane', 47),
(233, 'Tacoma', 47),
(234, 'Vancouver', 47),
(235, 'Bellevue', 47),
(236, 'Charleston', 48),
(237, 'Huntington', 48),
(238, 'Parkersburg', 48),
(239, 'Morgantown', 48),
(240, 'Wheeling', 48),
(241, 'Milwaukee', 49),
(242, 'Madison', 49),
(243, 'Green Bay', 49),
(244, 'Kenosha', 49),
(245, 'Racine', 49),
(246, 'Cheyenne', 50),
(247, 'Casper', 50),
(248, 'Laramie', 50),
(249, 'Gillette', 50),
(250, 'Rock Springs', 50);

-- --------------------------------------------------------

--
-- Table structure for table `cl_config`
--

CREATE TABLE `cl_config` (
  `web_id` int(250) NOT NULL,
  `web_name` varchar(250) NOT NULL,
  `web_title` varchar(200) NOT NULL,
  `web_tag` varchar(200) NOT NULL,
  `web_about` varchar(250) NOT NULL,
  `web_support_email` varchar(150) NOT NULL,
  `web_phone` varchar(100) NOT NULL,
  `web_office_address` varchar(200) NOT NULL,
  `web_social_facebook` varchar(200) NOT NULL,
  `web_social_twitter` varchar(200) NOT NULL,
  `web_social_instagram` varchar(200) NOT NULL,
  `web_social_flickr` varchar(200) NOT NULL,
  `web_social_linkedin` varchar(200) NOT NULL,
  `web_social_skype` varchar(200) NOT NULL,
  `web_social_google_plus` varchar(200) NOT NULL,
  `web_social_dribble` varchar(200) NOT NULL,
  `site_settings_maxsizephoto` int(11) NOT NULL,
  `package_a_name` varchar(50) NOT NULL,
  `package_a_price` varchar(50) NOT NULL,
  `package_a_quantity` varchar(50) NOT NULL,
  `package_b_name` varchar(50) NOT NULL,
  `package_b_price` varchar(50) NOT NULL,
  `package_b_quantity` varchar(50) NOT NULL,
  `package_c_name` varchar(50) NOT NULL,
  `package_c_price` varchar(50) NOT NULL,
  `package_c_quantity` varchar(50) NOT NULL,
  `maintenance_settings` int(11) NOT NULL DEFAULT '0',
  `app_bank_name` varchar(200) NOT NULL,
  `app_bank_account_number` varchar(100) NOT NULL,
  `app_bank_sort_code` varchar(50) NOT NULL,
  `app_bank_iban` varchar(100) NOT NULL,
  `app_bank_bic` varchar(50) NOT NULL,
  `smtp_setting_connection` int(11) NOT NULL,
  `smtp_setting_username` varchar(200) NOT NULL,
  `smtp_setting_password` varchar(130) NOT NULL,
  `smtp_setting_host` varchar(150) NOT NULL,
  `smtp_setting_port` int(11) NOT NULL,
  `smtp_setting_from_email` varchar(100) NOT NULL,
  `smtp_setting_from_title` varchar(100) NOT NULL,
  `app_registration_verification` int(11) NOT NULL,
  `app_purchase_code` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_config`
--

INSERT INTO `cl_config` (`web_id`, `web_name`, `web_title`, `web_tag`, `web_about`, `web_support_email`, `web_phone`, `web_office_address`, `web_social_facebook`, `web_social_twitter`, `web_social_instagram`, `web_social_flickr`, `web_social_linkedin`, `web_social_skype`, `web_social_google_plus`, `web_social_dribble`, `site_settings_maxsizephoto`, `package_a_name`, `package_a_price`, `package_a_quantity`, `package_b_name`, `package_b_price`, `package_b_quantity`, `package_c_name`, `package_c_price`, `package_c_quantity`, `maintenance_settings`, `app_bank_name`, `app_bank_account_number`, `app_bank_sort_code`, `app_bank_iban`, `app_bank_bic`, `smtp_setting_connection`, `smtp_setting_username`, `smtp_setting_password`, `smtp_setting_host`, `smtp_setting_port`, `smtp_setting_from_email`, `smtp_setting_from_title`, `app_registration_verification`, `app_purchase_code`) VALUES
(1, 'AdClass PHP Script', 'AdClass - The Ultimate PHP Classified.', 'Classified, AdClass, Best E-commerce, Buy And Sell, Free Ads,  PHP Classifieds, best classified template, Classifieds, Ready made template, ecommerce, OLX, 2020 classic template , best selling, produc', 'AdClass - The Ultimate PHP Classified. Ready made template for classified startup.', 'support@adclass.com', '(345) 564-4543', 'A12 Block12 Lorem Ipsum..', 'https://fb.com', 'https://twitter.com', 'https://instagram.com', 'https://flickr.com', 'https://linkedin', '', '', 'https://dribble.com', 6000, 'Lite', '15', '20', 'Xtra Lite', '30', '50', 'Diamond', '50', '80', 0, 'Bank Of America', '801234713241', '435201', 'UA18362715O92', 'C82649', 1, 'noreply@themefuturedev.com', 'ThemeSales_2019', 'smtp.ipage.com', 587, 'noreply@themefuturedev.com', 'ClassyAds Support', 1, '');

-- --------------------------------------------------------

--
-- Table structure for table `cl_contact`
--

CREATE TABLE `cl_contact` (
  `id` int(250) NOT NULL,
  `name` varchar(50) NOT NULL,
  `email` varchar(100) NOT NULL,
  `adid` int(15) NOT NULL,
  `telephone` varchar(50) NOT NULL,
  `message` varchar(200) NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_contact`
--

INSERT INTO `cl_contact` (`id`, `name`, `email`, `adid`, `telephone`, `message`, `created`) VALUES
(1, 'hfgdgf', 'olad@gmail.com', 8656745, '86756463742', 'fdgfhcgjh jvhj hjj b', '2020-02-11 19:16:45'),
(2, 'khgfj', 'olad@gmail.com', 86567453, '86756463742', 'bvh bnhhj m', '2020-02-11 19:17:07'),
(3, 'khgfj', '', 0, '', '', '2020-02-11 19:17:32'),
(4, 'khgfj', '', 0, '', '', '2020-02-11 19:17:33'),
(5, 'khgfj', '', 0, '', '', '2020-02-11 19:18:39'),
(6, 'khgjhvbn hjvgh', 'olad@gmail.com', 574653, '86757453', 'klhvg bvgh bn', '2020-02-11 19:19:19'),
(7, 'test me', 'test1@gmail.com', 0, '927398682648', ';lkbcjdhbdc jfbvjhv cjhchc jcbjjndm', '2020-04-29 20:38:19'),
(8, 'khjgf', 'khgkjdfhz@wsdfghj.bcxf', 0, 'wesrdtfyguih', 'qwesrdtfiygouhijopk', '2020-04-30 14:45:12');

-- --------------------------------------------------------

--
-- Table structure for table `cl_currency`
--

CREATE TABLE `cl_currency` (
  `currency_id` int(11) NOT NULL,
  `currency_name` varchar(30) NOT NULL,
  `currency_clsymbol` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_currency`
--

INSERT INTO `cl_currency` (`currency_id`, `currency_name`, `currency_clsymbol`) VALUES
(1, 'USD', '&#36;'),
(2, 'EUR', '&#128;'),
(3, 'GBP', '&#163;'),
(5, 'NGN', '&#8358;'),
(6, 'RUB', '&#8381;');

-- --------------------------------------------------------

--
-- Table structure for table `cl_favourite_ads`
--

CREATE TABLE `cl_favourite_ads` (
  `f_id` int(255) NOT NULL,
  `f_ad_id_fk` int(255) NOT NULL,
  `user_id_fk` int(255) NOT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_favourite_ads`
--

INSERT INTO `cl_favourite_ads` (`f_id`, `f_ad_id_fk`, `user_id_fk`, `created`) VALUES
(3, 42, 11, '2020-04-29 23:36:39'),
(4, 41, 11, '2020-04-30 06:09:02'),
(5, 24, 11, '2020-04-30 06:10:56');

-- --------------------------------------------------------

--
-- Table structure for table `cl_product_condition`
--

CREATE TABLE `cl_product_condition` (
  `cl_cond_id` int(11) NOT NULL,
  `cl_cond_name` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_product_condition`
--

INSERT INTO `cl_product_condition` (`cl_cond_id`, `cl_cond_name`) VALUES
(1, 'New'),
(2, 'Refurbish'),
(3, 'Foreign Used'),
(4, 'Local Used'),
(5, 'Others');

-- --------------------------------------------------------

--
-- Table structure for table `cl_rating_system`
--

CREATE TABLE `cl_rating_system` (
  `rated_id` int(250) NOT NULL,
  `rated_uid_fk` int(200) NOT NULL,
  `rated_by_uid_fk` int(200) NOT NULL,
  `rated_message` varchar(100) NOT NULL,
  `rated_ad_id_fk` int(200) NOT NULL,
  `registered_date` date NOT NULL,
  `created` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `cl_revenue`
--

CREATE TABLE `cl_revenue` (
  `id` int(11) NOT NULL,
  `revenue_banktransfer` varchar(250) NOT NULL,
  `total_revenue` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_revenue`
--

INSERT INTO `cl_revenue` (`id`, `revenue_banktransfer`, `total_revenue`) VALUES
(1, '2075', '100075');

-- --------------------------------------------------------

--
-- Table structure for table `cl_states`
--

CREATE TABLE `cl_states` (
  `state_id` int(250) NOT NULL,
  `state_name` varchar(50) NOT NULL,
  `country_id_fk` int(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_states`
--

INSERT INTO `cl_states` (`state_id`, `state_name`, `country_id_fk`) VALUES
(1, 'Alabama', 0),
(2, 'Alaska', 0),
(3, 'Arizona', 0),
(4, 'Arkansas', 0),
(5, 'California', 0),
(6, 'Colorado', 0),
(7, 'Connecticut', 0),
(8, 'Delaware', 0),
(9, 'Florida', 0),
(10, 'Georgia', 0),
(11, 'Hawaii', 0),
(12, 'Idaho', 0),
(13, 'Illinois', 0),
(14, 'Indiana', 0),
(15, 'Iowa', 0),
(16, 'Kansas', 0),
(17, 'Kentucky', 0),
(18, 'Louisiana', 0),
(19, 'Maine', 0),
(20, 'Maryland', 0),
(21, 'Massachusetts', 0),
(22, 'Michigan', 0),
(23, 'Minnesota', 0),
(24, 'Mississippi', 0),
(25, 'Missouri', 0),
(26, 'Montana', 0),
(27, 'Nebraska', 0),
(28, 'Nevada', 0),
(29, 'New Hampshire', 0),
(30, 'New Jersey', 0),
(31, 'New Mexico', 0),
(32, 'New York', 0),
(33, 'North Carolina', 0),
(34, 'North Dakota', 0),
(35, 'Ohio', 0),
(36, 'Oklahoma', 0),
(37, 'Oregon', 0),
(38, 'Pennsylvania', 0),
(39, 'Rhode Island', 0),
(40, 'South Carolina', 0),
(41, 'South Dakota', 0),
(42, 'Tennessee', 0),
(43, 'Texas', 0),
(44, 'Utah', 0),
(45, 'Vermont', 0),
(46, 'Virginia', 0),
(47, 'Washington', 0),
(48, 'West Virginia', 0),
(49, 'Wisconsin', 0),
(50, 'Wyoming', 0);

-- --------------------------------------------------------

--
-- Table structure for table `cl_sub_category`
--

CREATE TABLE `cl_sub_category` (
  `sub_cat_id` int(255) NOT NULL,
  `sub_cat_name` varchar(100) NOT NULL,
  `cat_id_fk` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_sub_category`
--

INSERT INTO `cl_sub_category` (`sub_cat_id`, `sub_cat_name`, `cat_id_fk`) VALUES
(1, 'Mobile Phones', 1),
(2, 'Tablets', 1),
(3, 'Accessories for Mobile Phones and Tablets', 1),
(4, 'Clothing', 2),
(5, 'Shoes', 2),
(6, 'Bags', 2),
(7, 'Jewelry', 2),
(8, 'Wedding Wear', 2),
(9, 'Watches', 2),
(10, 'Clothing Accessories', 2),
(11, 'Laptops and Computers', 3),
(12, 'Computer Accessories', 3),
(13, 'TV and DVD Equipment', 3),
(14, 'Audio and Music Equipment', 3),
(15, 'Video Game Consoles', 3),
(16, 'Video Games', 3),
(17, 'Cameras and Accessories', 3),
(18, 'Houses For Rent', 4),
(19, 'Houses For Sale', 4),
(20, 'Apartments For Rent', 4),
(21, 'Apartments For Sale', 4),
(22, 'Temporary and Vacation Rentals', 4),
(23, 'Land and Plots For Sale', 4),
(24, 'Commercial Property For Rent', 4),
(25, 'Commercial Property For Sale', 4),
(26, 'Real Estate Requests', 4),
(27, 'Fragrance', 5),
(28, 'Skin Care', 5),
(29, 'Makeup', 5),
(30, 'Hair Beauty', 5),
(31, 'Bath and Body', 5),
(32, 'Tools and Accessories', 5),
(33, 'Vitamins and Supplements', 5),
(34, 'Sexual Wellness', 5),
(35, 'Accounting and Finance Jobs', 6),
(36, 'Advertising and Marketing Jobs', 6),
(37, 'Arts and Entertainment Jobs', 6),
(38, 'Childcare and Babysitting Jobs', 6),
(39, 'Clerical and Administrative Jobs', 6),
(40, 'Computing and IT Jobs', 6),
(41, 'Construction and Skilled trade Jobs', 6),
(42, 'Customer Service Jobs', 6),
(43, 'Driver Jobs', 6),
(44, 'Engineering and Architecture Jobs', 6),
(45, 'Farming and Veterinary Jobs', 6),
(46, 'Gardening and Landscaping Jobs', 6),
(47, 'Health and Beauty Jobs', 6),
(48, 'Healthcare and Nursing Jobs', 6),
(49, 'Hotel Jobs', 6),
(50, 'Housekeeping and Cleaning Jobs', 6),
(51, 'Human Resources Jobs', 6),
(52, 'Internship Jobs', 6),
(53, 'Legal Jobs', 6),
(54, 'Logistics and Transportation Jobs', 6),
(55, 'Manual Labour Jobs', 6),
(56, 'Manufacturing Jobs', 6),
(57, 'Mining Industry Jobs', 6),
(58, 'Office Jobs', 6),
(59, 'Part-time and Weekend Jobs', 6),
(60, 'Restaurant and Bar Jobs', 6),
(61, 'Retail Jobs', 6),
(62, 'Sales and Telemarketing Jobs', 6),
(63, 'Security Jobs', 6),
(64, 'Sports Club Jobs', 6),
(65, 'Teaching Jobs', 6),
(66, 'Technology Jobs', 6),
(67, 'Travel and Tourism Jobs', 6),
(68, 'Other Jobs', 6),
(69, 'Furniture', 7),
(70, 'Garden', 7),
(71, 'Home Appliances', 7),
(72, 'Kitchen Appliances', 7),
(73, 'Kitchen and Dining', 7),
(74, 'Home Accessories', 7),
(75, 'Commercial Equipment and Tools', 7),
(76, 'Agriculture and Foodstuff', 7),
(77, 'Building Materials', 7),
(78, 'Solar Energy', 7),
(79, 'Hand And Power Tools', 7),
(80, 'Cars', 8),
(81, 'Trucks', 8),
(82, 'Vehicle Parts and Accessories', 8),
(83, 'Motorcycles and Scooters', 8),
(84, 'Heavy Equipments', 8),
(85, 'Watercrafts', 8),
(86, 'Dogs and Puppies', 9),
(87, 'Cats and Kittens', 9),
(88, 'Birds', 9),
(89, 'Fish', 9),
(90, 'Reptiles', 9),
(91, 'Livestock and Poultry', 9),
(92, 'Other Animals', 9),
(93, 'Pets Accessories', 9),
(94, 'Books and Games', 10),
(95, 'Musical Instruments', 10),
(96, 'CDs and DVDs', 10),
(97, 'Arts and Crafts', 10),
(98, 'Camping Gear', 10),
(99, 'Sports Equipment', 10),
(100, 'Childrens Clothing', 11),
(101, 'Childrens Shoes', 11),
(102, 'Childrens Furniture', 11),
(103, 'Prams and Strollers', 11),
(104, 'Childrens Gear and Safety', 11),
(105, 'Maternity and Pregnancy', 11),
(106, 'Toys', 11),
(107, 'Baby Care', 11),
(108, 'Babies and Kids Accessories', 11),
(109, 'Accounting and Finance CVs', 12),
(110, 'Advertising and Marketing CVs', 12),
(111, 'Arts and Entertainment CVs', 12),
(112, 'Childcare and Babysitting CVs', 12),
(113, 'Clerical and Administrative CVs', 12),
(114, 'Computing and IT CVs', 12),
(115, 'Construction and Skilled trade CVs', 12),
(116, 'Customer Service CVs', 12),
(117, 'Driver CVs', 12),
(118, 'Engineering and Architecture CVs', 12),
(119, 'Farming and Veterinary CVs', 12),
(120, 'Gardening and Landscaping CVs', 12),
(121, 'Health and Beauty CVs', 12),
(122, 'Healthcare and Nursing CVs', 12),
(123, 'Hotel CVs', 12),
(124, 'Housekeeping and Cleaning CVs', 12),
(125, 'Human Resources CVs', 12),
(126, 'Internship CVs', 12),
(127, 'Legal CVs', 12),
(128, 'Logistics and Transportation CVs', 12),
(129, 'Manual Labour CVs', 12),
(130, 'Manufacturing CVs', 12),
(131, 'Mining Industry CVs', 12),
(132, 'Office CVs', 12),
(133, 'Part-time and Weekend CVs', 12),
(134, 'Restaurant and Bar CVs', 12),
(135, 'Retail CVs', 12),
(136, 'Sales and Telemarketing CVs', 12),
(137, 'Security CVs', 12),
(138, 'Sports Club CVs', 12),
(139, 'Teaching CVs', 12),
(140, 'Technology CVs', 12),
(141, 'Travel and Tourism CVs', 12),
(142, 'Other CVs', 12),
(143, 'Automotive Services', 13),
(144, 'Building and Trades Services', 13),
(145, 'Chauffeur and Airport transfer Services', 13),
(146, 'Child Care and Education Services', 13),
(147, 'Cleaning Services', 13),
(148, 'Computer and IT Services', 13),
(149, 'DJ and Entertainment services', 13),
(150, 'Party, Catering and Event Services', 13),
(151, 'Health and Beauty services', 13),
(152, 'Fitness and Personal Training services', 13),
(153, 'Landscaping and Gardening services', 13),
(154, 'Manufacturing Services', 13),
(155, 'Legal Services', 13),
(156, 'Pet Services', 13),
(157, 'Photography and Video Services', 13),
(158, 'Recruitment Services', 13),
(159, 'Removals and Storage Services', 13),
(160, 'Repair Services', 13),
(161, 'Tax and Financial Services', 13),
(162, 'Travel Agents and Tours', 13),
(163, 'Wedding Venues and Services', 13),
(164, 'Classes and Courses', 13),
(165, 'Other Services', 13);

-- --------------------------------------------------------

--
-- Table structure for table `cl_users`
--

CREATE TABLE `cl_users` (
  `uid` int(11) NOT NULL,
  `username` varchar(30) DEFAULT NULL,
  `first_name` varchar(150) NOT NULL,
  `last_name` varchar(30) NOT NULL,
  `gender` varchar(10) NOT NULL,
  `phone` varchar(30) NOT NULL,
  `password` varchar(250) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `profile_pic` varchar(200) DEFAULT NULL,
  `conversation_count` int(11) DEFAULT '0',
  `birthday` varchar(20) DEFAULT NULL,
  `location` varchar(200) DEFAULT NULL,
  `bio` varchar(250) DEFAULT NULL,
  `country_id_fk` int(11) NOT NULL,
  `company_name` varchar(250) NOT NULL,
  `company_website` varchar(250) NOT NULL,
  `facebook_profile` varchar(250) NOT NULL,
  `twitter_profile` varchar(250) NOT NULL,
  `instagram_profile` varchar(250) NOT NULL,
  `linkedin_profile` varchar(250) NOT NULL,
  `skype_profile` varchar(250) NOT NULL,
  `github_profile` varchar(250) NOT NULL,
  `last_login` int(13) DEFAULT NULL,
  `notification_created` int(11) DEFAULT NULL,
  `forgot_code` text,
  `tour` enum('0','1') DEFAULT '0',
  `email_activation` varchar(300) DEFAULT NULL,
  `checking_point` int(2) DEFAULT '0',
  `message_count` int(11) DEFAULT '0',
  `question` varchar(50) NOT NULL,
  `q_answer` varchar(50) NOT NULL,
  `pincode_check` int(10) NOT NULL,
  `browser` varchar(100) NOT NULL,
  `referred_by` int(5) DEFAULT '0',
  `referral_confimation` int(5) DEFAULT '0',
  `ref_total` int(250) NOT NULL,
  `ref_earned` int(250) NOT NULL,
  `registered_date` date NOT NULL,
  `wallet` varchar(100) NOT NULL,
  `ip_address` varchar(100) NOT NULL,
  `verified` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `created` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

--
-- Dumping data for table `cl_users`
--

INSERT INTO `cl_users` (`uid`, `username`, `first_name`, `last_name`, `gender`, `phone`, `password`, `email`, `profile_pic`, `conversation_count`, `birthday`, `location`, `bio`, `country_id_fk`, `company_name`, `company_website`, `facebook_profile`, `twitter_profile`, `instagram_profile`, `linkedin_profile`, `skype_profile`, `github_profile`, `last_login`, `notification_created`, `forgot_code`, `tour`, `email_activation`, `checking_point`, `message_count`, `question`, `q_answer`, `pincode_check`, `browser`, `referred_by`, `referral_confimation`, `ref_total`, `ref_earned`, `registered_date`, `wallet`, `ip_address`, `verified`, `status`, `created`) VALUES
(11, 'test1', 'Cloe', 'O&#039;brian', 'Male', '(081) 047-516-96', '81dc9bdb52d04dc20036dbd8313ed055', 'cloe@obrianees.com', 'ClassyAds-profile-pic-1583329446myclassyads_phot.png', 0, '1990-06-10', NULL, 'I am a marketer of brands for companies that do protect my integrity a lot.', 0, 'O&#039;brianees', 'https://obrianees.com', 'https://fb.com/O&#039;brianees', 'https://twitter.com/O&#039;brianees', 'https://instagram.com/O&#039;brianees', 'https://linkedin.com/O&#039;brianees', 'https://skype.com/O&#039;brianees', 'https://github.com/O&#039;brianees', NULL, NULL, '', '0', '901059dc0eaa7d5c0f060376bdb03bf9', 0, 0, '', '', 0, 'Edge', 0, 0, 0, 0, '2019-12-29', '463', '::1', 0, 1, 1577659300),
(15, 'test2', '', '', '', '', 'e10adc3949ba59abbe56e057f20f883e', 'test2@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '892ed343781ef0e7c978257c7f625deb', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-02-16', '0', '::1', 0, 1, 1581854097),
(16, 'kapoo', '', '', '', '', 'e10adc3949ba59abbe56e057f20f883e', 'kapoo4fx@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, 'c0fae0c89c1eeef5337f60a82f272639', '0', '06c6543790d7b3c797c5bddc1620f387', 0, 0, '', '', 0, 'Edge', 0, 0, 0, 0, '2020-02-26', '', '::1', 0, 1, 1582712633),
(17, 'test4', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test4@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '', 0, 0, '', '', 0, 'Edge', 0, 0, 0, 0, '2020-02-27', '', '::1', 0, 1, 1582818867),
(18, 'test5', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test1@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '5d5c1e79b12acca2eb8af6425eab8c2d', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-04', '', '::1', 0, 1, 1586003695),
(19, 'test6', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test6@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '0893f6c2ec0a974cedb0690169a34b3d', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-04', '', '::1', 0, 1, 1586003774),
(20, 'test7', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test7@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-04', '', '::1', 0, 1, 1586003876),
(21, 'test11', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test11@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, '', '0', '07adb21736484201612bdc5dc4abb89f', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-29', '', '::1', 0, 1, 1588161882),
(22, 'test12', '', '', '', '', 'e10adc3949ba59abbe56e057f20f883e', 'test12@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588256710),
(23, 'test13', '', '', '', '', 'e10adc3949ba59abbe56e057f20f883e', 'test13@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', 'f450b4965435144ad89475bd33cbe24f', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588274214),
(24, 'test14', '', '', '', '', 'e10adc3949ba59abbe56e057f20f883e', 'test14@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', 'ddc5beadd3fd6c98f39b17e84518e3f0', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588274482),
(25, 'test15', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test15@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '3d9051779cf9e541bd0f47be792b9e68', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588278282),
(26, 'test16', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test16@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', 'e5c71627b1f3325e6af75f4cae8323a7', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588278340),
(27, 'test17', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test17@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', 'd01fa9c743388f7b0091a9460d7a5851', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588278437),
(28, 'test18', '', '', '', '', 'e10adc3949ba59abbe56e057f20f883e', 'test18@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', 'e980b7c816877b715ab8bd3ab07b77c1', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588278556),
(29, 'test19', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test19@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '34ae915ed2d713c6e34c9c345c44c10c', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588278603),
(30, 'test20', '', '', '', '', '827ccb0eea8a706c4c34a16891f84e7b', 'test20@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '71a4227c514ba76cb84a8bc9ee4a756c', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588278909),
(31, 'test21', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test21@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '5dd9ff22c28a3141f0b51364d4cd31fd', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588278991),
(32, 'test22', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test22@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', 'a1f30f1a019b244cd6c56d8014524a80', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588279580),
(33, 'test23', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test23@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '1a38589dfd47c6ab5ca8a9580548359d', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588279694),
(34, 'test24', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test24@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '485752bcb731eba42c66c4d9b7f856c8', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588279743),
(35, 'test25', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test25@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '156bc61671ff6535207913f758539ef3', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588279799),
(36, 'test26', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test26@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', 'cdf7b7cfb04c4cc831f408b97a9d4bb1', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588279841),
(37, 'test27', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test27@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '7c481b88d8ad8fe95b048944ac5fea30', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588279922),
(38, 'test28', '', '', '', '', '827ccb0eea8a706c4c34a16891f84e7b', 'test28@Gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '73367c6fe84e3bbbc216f28fb449e240', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588279991),
(39, 'test29', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test29@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '3c54976b34814add2c7137e8bf4b7e56', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588280062),
(40, 'test30', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test30@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '399d705b8a47cd31d2db29f56a164a88', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588280117),
(41, 'test31', '', '', '', '', '827ccb0eea8a706c4c34a16891f84e7b', 'test31@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', 'be1e4b6bdaa4eb282ea9eeafb262241d', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588280184),
(42, 'test32', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test32@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', 'b1b2591e6716170083cdc1ee0b42f10c', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588280295),
(43, 'test33', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test33@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', 'f986eabe24573ed8dccf4499e16ddca1', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 1, 1588280350),
(44, 'test34', '', '', '', '', '81dc9bdb52d04dc20036dbd8313ed055', 'test34@gmail.com', NULL, 0, NULL, NULL, NULL, 0, '', '', '', '', '', '', '', '', NULL, NULL, NULL, '0', '3decebcebffe7a14ed6db6da46eead6a', 0, 0, '', '', 0, 'Chrome', 0, 0, 0, 0, '2020-04-30', '', '::1', 0, 0, 1588280407);

-- --------------------------------------------------------

--
-- Table structure for table `conversation`
--

CREATE TABLE `conversation` (
  `c_id` int(11) NOT NULL,
  `user_one` int(11) NOT NULL,
  `user_two` int(11) NOT NULL,
  `ip` varchar(30) DEFAULT NULL,
  `time` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `conversation_reply`
--

CREATE TABLE `conversation_reply` (
  `cr_id` int(11) NOT NULL,
  `reply` text,
  `user_id_fk` int(11) NOT NULL,
  `ip` varchar(30) NOT NULL,
  `time` int(11) NOT NULL,
  `c_id_fk` int(11) NOT NULL,
  `read_status` int(11) DEFAULT '1',
  `lat` varchar(30) DEFAULT NULL,
  `lang` varchar(30) DEFAULT NULL,
  `uploads` varchar(50) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;

-- --------------------------------------------------------

--
-- Table structure for table `language_labels`
--

CREATE TABLE `language_labels` (
  `labelID` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 ROW_FORMAT=FIXED;

-- --------------------------------------------------------

--
-- Table structure for table `referrer_list`
--

CREATE TABLE `referrer_list` (
  `id` int(255) NOT NULL,
  `ref_owner_id` int(255) NOT NULL,
  `refered_id` int(255) NOT NULL,
  `refered_username` varchar(255) NOT NULL,
  `refered_status` int(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `ads_reported`
--
ALTER TABLE `ads_reported`
  ADD PRIMARY KEY (`rep_id`);

--
-- Indexes for table `cl_adbooster_orders`
--
ALTER TABLE `cl_adbooster_orders`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `cl_admin_user`
--
ALTER TABLE `cl_admin_user`
  ADD PRIMARY KEY (`admin_uid`);

--
-- Indexes for table `cl_adproduct_storage`
--
ALTER TABLE `cl_adproduct_storage`
  ADD PRIMARY KEY (`ad_id`),
  ADD UNIQUE KEY `ad_public_id` (`ad_public_id`);

--
-- Indexes for table `cl_ad_photos_upload`
--
ALTER TABLE `cl_ad_photos_upload`
  ADD PRIMARY KEY (`id`),
  ADD KEY `uid_fk` (`uid_fk`);

--
-- Indexes for table `cl_category`
--
ALTER TABLE `cl_category`
  ADD PRIMARY KEY (`cat_id`);

--
-- Indexes for table `cl_cities`
--
ALTER TABLE `cl_cities`
  ADD PRIMARY KEY (`cities_id`);

--
-- Indexes for table `cl_config`
--
ALTER TABLE `cl_config`
  ADD PRIMARY KEY (`web_id`);

--
-- Indexes for table `cl_contact`
--
ALTER TABLE `cl_contact`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `cl_currency`
--
ALTER TABLE `cl_currency`
  ADD PRIMARY KEY (`currency_id`);

--
-- Indexes for table `cl_favourite_ads`
--
ALTER TABLE `cl_favourite_ads`
  ADD PRIMARY KEY (`f_id`);

--
-- Indexes for table `cl_product_condition`
--
ALTER TABLE `cl_product_condition`
  ADD PRIMARY KEY (`cl_cond_id`);

--
-- Indexes for table `cl_rating_system`
--
ALTER TABLE `cl_rating_system`
  ADD PRIMARY KEY (`rated_id`);

--
-- Indexes for table `cl_revenue`
--
ALTER TABLE `cl_revenue`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `cl_states`
--
ALTER TABLE `cl_states`
  ADD PRIMARY KEY (`state_id`);

--
-- Indexes for table `cl_sub_category`
--
ALTER TABLE `cl_sub_category`
  ADD PRIMARY KEY (`sub_cat_id`);

--
-- Indexes for table `cl_users`
--
ALTER TABLE `cl_users`
  ADD PRIMARY KEY (`uid`);

--
-- Indexes for table `conversation`
--
ALTER TABLE `conversation`
  ADD PRIMARY KEY (`c_id`),
  ADD KEY `user_one` (`user_one`),
  ADD KEY `user_two` (`user_two`);

--
-- Indexes for table `conversation_reply`
--
ALTER TABLE `conversation_reply`
  ADD PRIMARY KEY (`cr_id`),
  ADD KEY `user_id_fk` (`user_id_fk`),
  ADD KEY `c_id_fk` (`c_id_fk`);

--
-- Indexes for table `language_labels`
--
ALTER TABLE `language_labels`
  ADD PRIMARY KEY (`labelID`);

--
-- Indexes for table `referrer_list`
--
ALTER TABLE `referrer_list`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `ads_reported`
--
ALTER TABLE `ads_reported`
  MODIFY `rep_id` int(255) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `cl_adbooster_orders`
--
ALTER TABLE `cl_adbooster_orders`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;
--
-- AUTO_INCREMENT for table `cl_admin_user`
--
ALTER TABLE `cl_admin_user`
  MODIFY `admin_uid` int(250) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `cl_adproduct_storage`
--
ALTER TABLE `cl_adproduct_storage`
  MODIFY `ad_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=43;
--
-- AUTO_INCREMENT for table `cl_ad_photos_upload`
--
ALTER TABLE `cl_ad_photos_upload`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=235;
--
-- AUTO_INCREMENT for table `cl_category`
--
ALTER TABLE `cl_category`
  MODIFY `cat_id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=14;
--
-- AUTO_INCREMENT for table `cl_cities`
--
ALTER TABLE `cl_cities`
  MODIFY `cities_id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=251;
--
-- AUTO_INCREMENT for table `cl_contact`
--
ALTER TABLE `cl_contact`
  MODIFY `id` int(250) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT for table `cl_currency`
--
ALTER TABLE `cl_currency`
  MODIFY `currency_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT for table `cl_favourite_ads`
--
ALTER TABLE `cl_favourite_ads`
  MODIFY `f_id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
--
-- AUTO_INCREMENT for table `cl_product_condition`
--
ALTER TABLE `cl_product_condition`
  MODIFY `cl_cond_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT for table `cl_rating_system`
--
ALTER TABLE `cl_rating_system`
  MODIFY `rated_id` int(250) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `cl_states`
--
ALTER TABLE `cl_states`
  MODIFY `state_id` int(250) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=51;
--
-- AUTO_INCREMENT for table `cl_sub_category`
--
ALTER TABLE `cl_sub_category`
  MODIFY `sub_cat_id` int(255) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=166;
--
-- AUTO_INCREMENT for table `cl_users`
--
ALTER TABLE `cl_users`
  MODIFY `uid` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=45;
--
-- AUTO_INCREMENT for table `conversation`
--
ALTER TABLE `conversation`
  MODIFY `c_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `conversation_reply`
--
ALTER TABLE `conversation_reply`
  MODIFY `cr_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `language_labels`
--
ALTER TABLE `language_labels`
  MODIFY `labelID` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `referrer_list`
--
ALTER TABLE `referrer_list`
  MODIFY `id` int(255) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
