<?php
// +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+

$server_error = false;
if (isset($_GET['go'])) {
    foreach (scandir(__DIR__) as $file) {
        if ($file == "." || $file == "..") continue;

        @unlink($file);
    }
    if($_GET['go'] == 'admin'){
            header("Location: ../admin");
    } else {
        header("Location: ../");
    }
    die;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="author" content="Theme Region">
   	<meta name="description" content="">

    <title>Installation</title>

   <!-- CSS -->
    <link rel="stylesheet" href="../themes/default/css/bootstrap.min.css" >
    <link rel="stylesheet" href="../themes/default/css/font-awesome.min.css">
	<link rel="stylesheet" href="../themes/default/css/icofont.css">
    <link rel="stylesheet" href="../themes/default/css/main.css">
	<link id="preset" rel="stylesheet" href="../themes/default/css/presets/preset1.css">
    <link rel="stylesheet" href="../themes/default/css/responsive.css">

	<!-- font -->
	<link href='https://fonts.googleapis.com/css?family=Ubuntu:400,500,700,300' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Signika+Negative:400,300,600,700' rel='stylesheet' type='text/css'>

	<!-- icons -->
	<link rel="icon" href="../uploads/logo/favicon.png">
    <!-- icons -->

  </head>
  <body>

	<!-- signup-page -->
	<section id="main" class="clearfix user-page">
		<div class="container">
			<div class="row text-center">
				<!-- user-login -->
				<div class="col-md-8 offset-md-2 col-lg-6 offset-lg-3">

					<div class="user-account">
						<div>
						<div id="logo" style="background-image:url();"></div>
					</div>
						<div id="instal_welcome_req" data-step="1" style="background: #fdfdfd;display: none">
							<h6>Welcome, <br/>Thanks for using <b>AdClass</b> PHP Script</h5><hr/>
							<div class="check" style="position: relative;width: 100%;height: 400px;overflow-y: scroll;">
								<?php require_once('requirements.php'); ?>
							</div>
							<?php if($server_error === false){ ?>
							   <br/><h5 style="text-align: left; color:blue;">Your server is OK. Please click on the below button to proceed with the installation.</h4>
								<a href="javascript:void(0);" class="btn"  onclick="nextStep(2)" style="margin-top: 15px;border-radius: 3px;text-align: center;font-size: 18px">Continue</a>
							<?php } else { ?>
								<br/><div class="but_list">
								   <div class="alert alert-danger" role="alert" style=" margin-top:2px; margin-bottom:2px;">
										<strong>Sorry!</strong> We cannot proceed with the installation, please fix the issues highlighted with red before proceeding. If you have any question or need assistance don't hesitate to contact us or visit our documentation below
									</div><br/>
									<a href="<?php echo $supportLink; ?>documentation/" target="_blank" class="btn" style="margin-top: 15px;border-radius: 3px;text-align: center;">Read our documentation here</a>

								</div>
							<?php } ?>
						</div>

						<div id="instal_form" data-step="2" style="background: #fdfdfd;display: none">
							 <header>
								<h2 style="font-size:24px; margin-bottom:0px;">AdClass Installer Wizard</h1>
								<h3>Setup Your Database</h3>
								<p class="info" style="color: #444;font-size: 14px">Provide credentials of your MYSQL database for automatic installation.</p>
							</header>

							<form class="form" id="installMyDB" action="#" method="">
            					<div class="form-group">
									<input type="text" class="form-control" value="FreeVersion" name="purchase_code" id="purchase_code" hidden>
								</div><hr/>

								<div class="form-group">
									<input type="text" class="form-control" placeholder="Host" name="host" id="host" required>
								</div>
								<div class="form-group">
									<input type="text" class="form-control" placeholder="Port" id="port" name="port" value="3306" required>
								</div>
								<div class="form-group">
									<input type="text" class="form-control" placeholder="Database" id="database" name="database" required>
								</div>
								<div class="form-group">
									<input type="text" class="form-control" placeholder="Username" id="username" name="username" required>
								</div>
								<div class="form-group">
									<input type="text" class="form-control" placeholder="Password" id="password" name="password">
								</div>


								<div class="but_list">
								   <div class="alert alert-danger" role="alert" id="cl_install_error_db" style="display:none;"></div>
								</div>
								<div align="center">
									<div id="cl_process_db" style="display:none; width:40px; height:40px; margin-top: 9px;  margin-bottom: 2px; text-align:center;"><img src="../uploads/loader/ajaxloader.gif" alt="Processing..."/> </div>
								</div>
								<div class="cl_btn_body_db" id="cl_btn_body_db">
									<button class="btn" type="submit" name="cl_install_btn" id="cl_install_btn"> Install database </button>
								</div>
							</form>
						</div>

						<div id="instal_admin_form" data-step="3" style="background: #fdfdfd;display: none">
							<header>
								<h2>Database was successfully installed</h3>
								<h3>Setup Admin Account</h3>
								<p class="info" style="color: #444;font-size: 14px">Enter your personal details as an admin</p>
							</header>

							<form class="form" id="adminAccount" action="#" method="">

								<div class="form-group">
									<input type="text" class="form-control" placeholder="Admin Username" name="username" id="username" required>
								</div>
								<div class="form-group">
									<input type="email" class="form-control" placeholder="Admin Email" id="email" name="email" required>
								</div>
								<div class="form-group">
									<input type="text" class="form-control" placeholder="Password" id="password" name="password" required>
								</div>
								<div class="form-group">
									<input type="text" class="form-control" placeholder="Retype password" id="cpassword" name="cpassword" required>
								</div>

								<div class="but_list">
								   <div class="alert alert-danger" role="alert" id="cl_install_error_act" style="display:none;"></div>
								</div>
								<div align="center">
									<div id="cl_process_act" style="display:none; width:40px; height:40px; margin-top: 9px;  margin-bottom: 2px; text-align:center;"><img src="../uploads/loader/ajaxloader.gif" alt="Processing..."/> </div>
								</div>
								<div class="cl_btn_body_act" id="cl_btn_body_act">
									<button class="btn" type="submit" name="cl_install_btn" id="cl_install_btn"> Create & Complete </button>
								</div>
							</form>
						</div>

						<div id="instal_admin_form" data-step="4" style="background: #fdfdfd;display: none">
							<header class="">
								<h2>AdClass Installation is complete</h2>
								<p class="info" style="color: #444;font-size: 16px;margin-bottom: 50px"> <strong>Congratulations!</strong>, you've finished <b>AdClass</b> installation.<br>
								Please note that we will now delete the installation directory as a safety measure for your website. Thanks</p>

								<a class="btn" href="?go=index">
									Main website
								</a>
								<a class="btn" href="?go=admin" >
									Admin Panel
								</a>
							</header>
						</div>
						<!-- checkbox -->

					</div>
				</div><!-- user-login -->
			</div><!-- row -->
		</div><!-- container -->
	</section><!-- signup-page -->


    <!-- JS -->
    <script src="../themes/default/js/jquery-3.3.1.min.js"></script>
    <script src="../themes/default/js/jquery.min.js"></script>
    <script src="../themes/default/js/modernizr.min.js"></script>
    <script src="../themes/default/js/bootstrap.min.js"></script>
    <script src="../themes/default/js/custom.js"></script>

	<script>
    var step = 1;

    var installationUrl = new URL(window.location.href);
    if(installationUrl.searchParams.get("step") != null){
        step = installationUrl.searchParams.get("step");
    }
    $('[data-step='+step+']').show();

    $('#logo').css({
      'background-image' : 'url(../uploads/logo/logo.png)'
    });

    $('#installMyDB').submit(function(e) {
        e.preventDefault();
        $.ajax({
                data:  $(this).serialize(),
                url:   'db_schema.php',
                type:  'post',
                dataType: 'JSON',
                beforeSend: function () {
                    $('.cl_btn_body_db').hide();
                    $('#cl_process_db').show();
                },
                success:  function (data) {
                    // $('.cl_btn_body_db').show();
                    // $('#cl_process_db').hide();
                    // if(response.error == 1){
                    //     $('#cl_install_error_db').show().html(response.reason);
                    // } else {
                    //     nextStep(3);
                    // }
                    if (data.status == 200) {
                      $('.cl_btn_body_db').show();
                      $('#cl_process_db').hide();
                      nextStep(3);
                    }
                     else {
                       $('.cl_btn_body_db').show();
                       $('#cl_process_db').hide();
                       $('#cl_install_error_db').show().html(data.errors);
                    }
                }
        });
    });

    $('#adminAccount').submit(function(e) {
        e.preventDefault();
        $.ajax({
                data:  $(this).serialize(),
                url:   'account_setup.php',
                type:  'post',
                dataType: 'JSON',
                beforeSend: function () {
                    $('.cl_btn_body_act').hide();
                    $('#cl_process_act').show();
                },
                success:  function (response) {
                    $('.cl_btn_body_act').show();
                    $('#cl_process_act').hide();
                    if(response.error == 1){
                        $('#cl_install_error_act').show().html(response.reason);
                    } else {
                        nextStep(4);
                    }
                }
        });
    });

    function nextStep(val){
        $('[data-step]').hide();
        $('[data-step='+val+']').show();
    }

    </script>

	</body>
</html>
