<?php
/* +------------------------------------------------------------------------+
// | @author Oladele Gafari (Younghadiz)
// | @author_url 1: https://younghadiz.com
// | @author_email: gafarioladele1@gmail.com
// +------------------------------------------------------------------------+
// | Copyright (c) 2022 Oladele Gafari (Younghadiz). All rights reserved.
// +------------------------------------------------------------------------+*/

include'../apilibs/init.php';
include'../cl_userSession.php';
require"cl_account_tag.php";

$dashboard=1;

?>
          <!-- third party css -->
        <link href="assets/css/vendor/dataTables.bootstrap4.css" rel="stylesheet" type="text/css" />
        <link href="assets/css/vendor/responsive.bootstrap4.css" rel="stylesheet" type="text/css" />
        <link href="assets/css/vendor/buttons.bootstrap4.css" rel="stylesheet" type="text/css" />
        <link href="assets/css/vendor/select.bootstrap4.css" rel="stylesheet" type="text/css" />
        <!-- third party css end -->

        <!-- App css -->
        <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="assets/css/app.min.css" rel="stylesheet" type="text/css" id="light-style" />
        <link href="assets/css/app-dark.min.css" rel="stylesheet" type="text/css" id="dark-style" />

		<!-- Datatables css -->
		<link href="assets/css/vendor/dataTables.bootstrap4.css" rel="stylesheet" type="text/css" />
		<link href="assets/css/vendor/responsive.bootstrap4.css" rel="stylesheet" type="text/css" />
	</head>

    <body data-layout="detached" class="loading">
		<!-- Topbar Start -->
        <?php include'cl_account_menu.php'; ?>
		<!-- end Topbar -->

        <!-- Start Content-->
        <div class="container-fluid">

            <!-- Begin page -->
            <div class="wrapper">

                <!-- ========== Left Sidebar Start ========== -->
                <?php include'cl_account_sidebaleft.php'; ?>
                <!-- Left Sidebar End -->

                <div class="content-page">
                    <div class="content">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="<?php echo $base_url; ?>"><?php echo $application_name; ?></a></li>
                                            <li class="breadcrumb-item"><a href="<?php echo $base_url; ?>account/">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Invoice</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Invoices</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->

						<div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">

                                        <!-- Invoice Logo-->
                                        <div class="clearfix">
                                            <div class="float-left mb-3">
                                                <img src="../images/logo/logo-dark.png" alt="" height="18">
                                            </div>
                                            <div class="float-right">
                                                <h4 class="m-0 d-print-none">Invoice</h4>
                                            </div>
                                        </div>

                                        <!-- Invoice Detail-->
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="float-left mt-3">
                                                    <p><b>Hello <?php echo $username; ?>,</b></p>
                                                    <p class="text-muted font-13">Please find below a cost-breakdown for the recent AdBooster your purchased. And do not hesitate to contact us with any questions.</p>
                                                </div>

                                            </div><!-- end col -->
                                            <div class="col-sm-4 offset-sm-2">
                                                <div class="mt-3 float-sm-right">
                                                    <p class="font-13"><strong>Order Date: </strong> &nbsp;&nbsp;&nbsp; Feb 17, 2020</p>
                                                    <p class="font-13"><strong>Order Status: </strong> <span class="badge badge-success float-right">Paid</span></p>
                                                    <p class="font-13"><strong>Order ID: </strong> <span class="float-right">#123456</span></p>
                                                </div>
                                            </div><!-- end col -->
                                        </div>
                                        <!-- end row -->

                                        <div class="row mt-4">
                                            <div class="col-sm-4">
                                                <h6>Billing Address</h6>
                                                <address>
                                                    Lynne K. Higby<br>
                                                    795 Folsom Ave, Suite 600<br>
                                                    San Francisco, CA 94107<br>
                                                    <abbr title="Phone">P:</abbr> (123) 456-7890
                                                </address>
                                            </div> <!-- end col-->

                                            <div class="col-sm-4">
                                                <h6>Shipping Address</h6>
                                                <address>
                                                    Cooper Hobson<br>
                                                    795 Folsom Ave, Suite 600<br>
                                                    San Francisco, CA 94107<br>
                                                    <abbr title="Phone">P:</abbr> (123) 456-7890
                                                </address>
                                            </div> <!-- end col-->

                                            <div class="col-sm-4">
                                                <div class="text-sm-right">
                                                    <img src="assets/images/barcode.png" alt="barcode-image" class="img-fluid mr-2" />
                                                </div>
                                            </div> <!-- end col-->
                                        </div>
                                        <!-- end row -->

                                        <div class="row">
                                            <div class="col-12">
                                                <div class="table-responsive">
                                                    <table class="table mt-4">
                                                        <thead>
                                                        <tr><th>#</th>
                                                            <th>Item</th>
                                                            <th>Quantity</th>
                                                            <th>Unit Cost</th>
                                                            <th class="text-right">Total</th>
                                                        </tr></thead>
                                                        <tbody>
                                                        <tr>
                                                            <td>1</td>
                                                            <td>
                                                                <b>Laptop</b> <br/>
                                                                Brand Model VGN-TXN27N/B
                                                                11.1" Notebook PC
                                                            </td>
                                                            <td>1</td>
                                                            <td>$1799.00</td>
                                                            <td class="text-right">$1799.00</td>
                                                        </tr>
                                                        <tr>
                                                            <td>2</td>
                                                            <td>
                                                                <b>Warranty</b> <br/>
                                                                Two Year Extended Warranty -
                                                                Parts and Labor
                                                            </td>
                                                            <td>3</td>
                                                            <td>$499.00</td>
                                                            <td class="text-right">$1497.00</td>
                                                        </tr>
                                                        <tr>
                                                            <td>3</td>
                                                            <td>
                                                                <b>LED</b> <br/>
                                                                80cm (32) HD Ready LED TV
                                                            </td>
                                                            <td>2</td>
                                                            <td>$412.00</td>
                                                            <td class="text-right">$824.00</td>
                                                        </tr>

                                                        </tbody>
                                                    </table>
                                                </div> <!-- end table-responsive-->
                                            </div> <!-- end col -->
                                        </div>
                                        <!-- end row -->

                                        <div class="row">
                                            <div class="col-sm-6">
                                                <div class="clearfix pt-3">
                                                    <h6 class="text-muted">Notes:</h6>
                                                    <small>
                                                        All accounts are to be paid within 7 days from receipt of
                                                        invoice. To be paid by cheque or credit card or direct payment
                                                        online. If account is not paid within 7 days the credits details
                                                        supplied as confirmation of work undertaken will be charged the
                                                        agreed quoted fee noted above.
                                                    </small>
                                                </div>
                                            </div> <!-- end col -->
                                            <div class="col-sm-6">
                                                <div class="float-right mt-3 mt-sm-0">
                                                    <p><b>Sub-total:</b> <span class="float-right">$4120.00</span></p>
                                                    <p><b>VAT (12.5):</b> <span class="float-right">$515.00</span></p>
                                                    <h3>$4635.00 USD</h3>
                                                </div>
                                                <div class="clearfix"></div>
                                            </div> <!-- end col -->
                                        </div>
                                        <!-- end row-->

                                        <div class="d-print-none mt-4">
                                            <div class="text-right">
                                                <a href="javascript:window.print()" class="btn btn-primary"><i class="mdi mdi-printer"></i> Print</a>
                                                <a href="javascript: void(0);" class="btn btn-info">Submit</a>
                                            </div>
                                        </div>
                                        <!-- end buttons -->

                                    </div> <!-- end card-body-->
                                </div> <!-- end card -->
                            </div> <!-- end col-->
                        </div>
                        <!-- end row -->


                    </div> <!-- End Content -->

                    <!-- Footer Start -->
                    <?php include'cl_account_footer.php'; ?>
                    <!-- end Footer -->

                </div> <!-- content-page -->

            </div> <!-- end wrapper-->
        </div>
        <!-- END Container -->


        <!-- Right Sidebar -->
        <?php include'cl_account_sidebaright.php'; ?>
        <!-- /Right-bar -->


		<!-- bundle -->
        <script src="assets/js/vendor.min.js"></script>
        <script src="assets/js/app.min.js"></script>

		<!-- Datatables js -->
		<script src="assets/js/vendor/jquery.dataTables.min.js"></script>
		<script src="assets/js/vendor/dataTables.bootstrap4.js"></script>
		<script src="assets/js/vendor/dataTables.responsive.min.js"></script>
		<script src="assets/js/vendor/responsive.bootstrap4.min.js"></script>

		<!-- Datatable Init js -->
		<script src="assets/js/pages/demo.datatable-init.js"></script>

    </body>
</html>
